<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Suround_Mapbox {

	public
		$api_key,
		$custom_skin;

	public function __construct() {
		$this->skins = [];
		$this->custom_skin = '';

		$this->api_key = suround_get_option('mapbox-token');
		$this->custom_skin = suround_get_option('map-style');
		$this->set_skins();

		add_action( 'wp_enqueue_scripts', [ $this, 'enqueue_scripts' ], 25 );
		add_filter( 'suround/functions/localize-data', [ $this, 'localize_data' ], 25 );
	}

	public function enqueue_scripts() {

		wp_enqueue_style( 'leaflet-css', get_theme_file_uri('js/libs/leaflet/leaflet.css') );
		wp_enqueue_script( 'leaflet', get_theme_file_uri('js/libs/leaflet/leaflet.js'), array( 'jquery', 'wp-util' ), null, true );
		wp_enqueue_script( 'mapbox', get_theme_file_uri('js/libs/mapbox/mapbox-gl.js'), array(), null, true );
		wp_enqueue_script( 'leaflet-mapbox', get_theme_file_uri('js/libs/mapbox/leaflet-mapbox-gl.js'), array( 'jquery', 'mapbox' ), null, true );

	}

	public function set_skins() {

		if ( !empty($this->custom_skin) ) {
			$this->custom_skin = $this->custom_skin;
		}

		$this->skins['skin1'] = esc_html__('Vanilla', 'surround');
		$this->skins['skin2'] = esc_html__('Midnight', 'surround');
		$this->skins['skin3'] = esc_html__('Grayscale', 'surround');
		$this->skins['skin4'] = esc_html__('Blue Water', 'surround');
		$this->skins['skin5'] = esc_html__('Nature', 'surround');
		$this->skins['skin6'] = esc_html__('Light', 'surround');
		$this->skins['skin7'] = esc_html__('Teal', 'surround');
		$this->skins['skin8'] = esc_html__('Vanilla', 'surround');
		$this->skins['skin9'] = esc_html__('Violet', 'surround');
	}

	public function localize_data( $data ) {
		$data['MapConfig']['AccessToken'] = $this->api_key;
		$data['MapConfig']['CustomSkin'] = $this->custom_skin;
		return $data;
	}
}