<?php

use Leafo\ScssPhp\Compiler;

add_action( 'redux/options/suround_settings/saved', 'suround_save_theme_settings', 90, 2 );
add_action( 'redux/options/suround_settings/import', 'suround_save_theme_settings', 90, 2 );
add_action( 'redux/options/suround_settings/reset', 'suround_save_theme_settings' );
add_action( 'redux/options/suround_settings/section/reset', 'suround_save_theme_settings' );

if ( get_option('suround_init_theme', '0') != '1' ) { suround_check_theme_options(); }

if ( !function_exists('suround_save_theme_settings') ) {

	function suround_save_theme_settings() {
		global $Suround;

		update_option( 'suround_init_theme', '1' );

		$reduxFramework = $Suround->admin->configurator->getReduxInstance();
		$template_dir = get_template_directory();

		// config file
		ob_start();
		include $template_dir . '/admin/theme-options/config-sass.php';
		$_config_css = ob_get_clean();
		$filename = $template_dir . '/sass/config.scss';

		if ( file_exists($filename) ) {
			@unlink($filename);
		}

		$reduxFramework->filesystem->execute( 'put_contents', $filename, array( 'content' => $_config_css ) );

		try {

			ob_start();

			$scss = new Compiler();
			$scss->setImportPaths($template_dir . '/sass');
			echo '' . $scss->compile('@import "skin.scss";');
			$config_css = ob_get_clean();

			$prefix_name = 'skin_' . get_current_blog_id() . '.css';
			$wp_upload_dir  = wp_upload_dir();
			$stylesheet_dynamic_dir = $wp_upload_dir['basedir'] . '/dynamic_suround_dir';
			$stylesheet_dynamic_dir = str_replace('\\', '/', $stylesheet_dynamic_dir);

			suround_backend_create_folder($stylesheet_dynamic_dir);

			$file_name = trailingslashit($stylesheet_dynamic_dir) . $prefix_name;

			$create = $reduxFramework->filesystem->execute( 'put_contents', $file_name, array( 'content' => $config_css) );

			if ( $create === true ) {
				update_option( 'suround_stylesheet_version' . $prefix_name, uniqid() );
			}

		} catch (Exception $e) {}

	}

}

/*  Create folder
/* ---------------------------------------------------------------------- */

if ( !function_exists('suround_backend_create_folder') ) {
	function suround_backend_create_folder( &$folder, $addindex = true ) {
		if ( is_dir($folder) && $addindex == false ) {
			return true;
		}

		$created = wp_mkdir_p(trailingslashit($folder));

		if ( $addindex == false ) return $created;

		return $created;
	}
}

