<?php
/**
 * The template for displaying Author archive pages
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Suround
 */
get_header(); ?>

<?php if ( have_posts() ) : ?>

	<?php
	global $wp_query;
	$id          = get_the_author_meta( 'ID' );
	$name        = get_the_author_meta( 'display_name', $id );
	$email       = get_the_author_meta( 'email', $id );
	$description = get_the_author_meta( 'description', $id );
	$user_profile = new suround_admin_user_profile();

	?>

	<div class="entry-author">

		<div class="entry-author-box">

			<div class="entry-avatar">
				<?php echo get_avatar( $email, '315', '', $name ); ?>
			</div>

			<div class="entry-author-info">

				<div class="entry-author-name"><?php echo esc_html( $name ); ?></div>

				<?php echo wp_kses_post($user_profile->output_position($id)); ?>

				<?php if ( suround_get_option('author_desc') ): ?>
					<?php if ( !empty( $description ) ): ?>
						<p class="member-author-description"><?php echo wp_kses_post( $description ); ?></p>
					<?php endif; ?>
				<?php endif; ?>

				<?php echo wp_kses_post($user_profile->output_social_links( $id )); ?>

			</div>

		</div><!--/ .entry-author-box-->

	</div><!--/ .entry-author-->

	<?php
	echo suround_output_sort_links($wp_query->posts, 'author');
	echo suround_post_count();
	?>

	<div class="entry-holder entry-layout-a3">
		<div class="entry-box grid--isotope item-col-3" data-isotope-layout="grid" data-isotope-filter="#author-filter">
			<?php while ( have_posts() ) : the_post(); ?>
				<div class="grid-item <?php echo suround_get_sort_class(get_the_ID()) ?>">
					<?php get_template_part( 'template-parts/post/layout', 'a3' ); ?>
				</div>
			<?php endwhile; ?>
		</div>
	</div><!--/ .entry-holder-->

	<?php echo suround_paging_nav(); ?>

<?php else : ?>

	<?php get_template_part( 'template-parts/post/content', 'none' ); ?>

<?php endif; ?>

<?php get_footer(); ?>