<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>

	<!-- Basic Page Needs
	==================================================== -->
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<link rel="profile" href="//gmpg.org/xfn/11">

	<!-- Mobile Specific Metas
	==================================================== -->
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">

	<?php wp_head(); ?>

</head>
<?php
global $suround_config;
$header_style = $suround_config['header_style'];
$header_classes = suround_classes_output($suround_config['header_classes']);
$page_content_classes = suround_classes_output($suround_config['page_content_classes']); ?>

<body <?php body_class(); ?>><?php wp_body_open(); ?>

<?php do_action('suround_body_append', get_the_ID()); ?>

<div id="wrapper" class="wrapper-container">

	<!-- - - - - - - - - - - - - - Header - - - - - - - - - - - - - - - - -->

	<header id="header" class="header <?php echo esc_attr($header_classes); ?>">
		<?php do_action( 'suround_header_layout', $header_style ); ?>
	</header><!--/ #header -->

	<?php if ( suround_get_option( 'header-sticky-menu' ) ): ?>
		<header id="sticky-header" class="header sticky-header <?php echo esc_attr($header_classes); ?>">
			<?php do_action( 'suround_header_layout', $header_style ); ?>
		</header><!--/ #header -->
	<?php endif; ?>

	<!-- - - - - - - - - - - - - - / Header - - - - - - - - - - - - - - -->

	<?php
		/**
		 * suround_header_after hook
		 *
		 * @hooked page_title_and_breadcrumbs
		 */

		do_action( 'suround_header_after' );
	?>

	<div id="content" class="site-content">

		<div class="<?php echo esc_attr($page_content_classes) ?>">

			<div class="container wide">

				<div class="row">

					<main id="main" class="site-main">