<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Handles front admin page for Post.
 *
 * @since 1.0.0
 */
class Suround_Post_Admin {

	/**
	 * The single instance of the class.
	 *
	 * @var self
	 * @since  1.26.0
	 */
	private static $_instance = null;

	/**
	 * Allows for accessing single instance of class. Class should only be constructed once per call.
	 *
	 * @since  1.26.0
	 * @static
	 * @return self Main instance.
	 */
	public static function instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}

	/**
	 * Constructor.
	 */
	public function __construct() {

		include_once dirname( __FILE__ ) . '/class-admin-user-profile.php';
		include_once dirname( __FILE__ ) . '/class-post-geocode.php';
		include_once dirname( __FILE__ ) . '/class-post-writepanels.php';

		new suround_admin_user_profile();
	}


}

Suround_Post_Admin::instance();
