<?php


add_action('wp_ajax_suround_watch_later', 'suround_watch_later_posts');
add_action('wp_ajax_nopriv_suround_watch_later', 'suround_watch_later_posts');

if ( !function_exists('suround_watch_later_posts') ):
	function suround_watch_later_posts(){

		$post_id = absint( $_POST['id'] );
		$what = $_POST['what'];

		if ( isset( $_GET[ 'wpml_lang' ] ) ) {
			do_action( 'wpml_switch_language',  $_GET[ 'wpml_lang' ] );
		}

		$ids = suround_get_watch_later_posts();

		if ( $what == 'add' ) {
			$ids[] = $post_id;
		} else {
			$ids = array_diff( $ids , array( $post_id ));
		}

		if ( !isset($_COOKIE['suround_watch_later']) ) {
			setcookie('suround_watch_later', implode( "_", array( $post_id ) ), time() + 30 * 86400, COOKIEPATH, COOKIE_DOMAIN);
		} else {
			$ids = array_values($ids);
			setcookie('suround_watch_later', implode( "_", $ids ), time() + 30 * 86400, COOKIEPATH, COOKIE_DOMAIN);
		}

		if ( !empty($ids) ) {
			$args = array('post__in' => $ids );
			suround_print_later_posts( $args );
		}

		die();
	}
endif;

add_action('wp_ajax_suround_load_watch_later', 'suround_load_watch_later');
add_action('wp_ajax_nopriv_suround_load_watch_later', 'suround_load_watch_later');

/**
 * Load watch later content
 */

if ( !function_exists( 'suround_load_watch_later' ) ):
	function suround_load_watch_later() {

		$count = count( suround_get_watch_later_posts() );
		$display = $count ? '' : 'display: none;';
		$display_invert = $count ? 'display: none;' : '';
		?>

		<button type="button" class="flag-button">
			<span class="suround-watch-later-count pulse" style="<?php echo esc_attr( $display ); ?>">
				<?php echo wp_kses_post( $count ) ?>
			</span>
		</button>

		<ul class="sub-actions-menu">

			<li class="suround-menu-posts">
				<?php
				if ( $count ) {
					$args = array( 'post__in' => suround_get_watch_later_posts() );
					suround_print_later_posts( $args );
				}
				?>
			</li>

			<li class="suround-menu-empty" style="<?php echo esc_attr( $display_invert ); ?>">
				<p><?php esc_html_e( 'No Posts', 'surround' ); ?></p>
			</li>

		</ul>

		<?php die(); ?>

	<?php }
endif;