<?php
/**
 * WooCommerce
 *
 * @category Integration
 */
class Suround_Composer extends Suround_Integration {

	public function __construct() {

		$this->includes = array(
			'functions.php',
			'class-composer-field.php'
		);

		// add customizer support
		parent::__construct( dirname( __FILE__ ) );
	}

	public function init() {

		// Load
		$this->autoloadLibraries( $this->get_dir() . 'shortcodes/' );

		// Add New param
		$this->add_hooks();

		$this->field = new Suround_Composer_Add_Field($this->get_url());
	}

	public function add_hooks() {
		add_action( 'vc_before_init', array( $this, 'before_init' ), 1 );
		add_filter( 'vc_font_container_get_allowed_tags', array( $this, 'font_container_get_allowed_tags' ) );
	}

	public function before_init() {
		require_once( $this->get_dir() . 'config/map.php' );
		$this->autoloadLibraries( $this->get_dir() . 'modules/' );
	}

	public function font_container_get_allowed_tags($allowed_tags) {
		array_unshift($allowed_tags, 'h1');
		return $allowed_tags;
	}

	protected function autoloadLibraries($path) {
		foreach ( glob($path. '*.php') as $file ) {
			require_once($file);
		}
	}

	public function setup_actions() {
		add_action( 'admin_enqueue_scripts', array( $this, 'admin_extend_js_css' ) );
	}

	public function admin_extend_js_css() {
		wp_enqueue_style( 'suround-extend-admin', $this->get_url() . 'css/js_composer_backend_editor.css', false, WPB_VC_VERSION );
		wp_enqueue_style( 'suround-extend-icons', $this->get_url() . 'css/icons.css', false, WPB_VC_VERSION );
		wp_enqueue_style( 'suround-extend-linear', $this->get_url() . 'css/linear-icons.css', false, WPB_VC_VERSION );
		wp_enqueue_style( 'suround-extend-icon-font', get_theme_file_uri('css/suround-icon-font.css'), false, WPB_VC_VERSION );
		wp_enqueue_style( 'suround-bootstrap-datetimepicker', $this->get_url() . 'css/bootstrap-datetimepicker-admin.css', false, WPB_VC_VERSION );
	}

}
