<?php

function suround_array_number($from = 0, $to = 50, $step = 1, $array = array()) {
	for ($i = $from; $i <= $to; $i += $step) {
		$array[$i] = $i;
	}
	return $array;
}

function suround_get_title( $args = array(), $echo = true ) {

	$defaults = array(
		'heading' => 'h6',
		'holder' => true,
		'title' => '',
		'subtitle' => '',
		'css_class' => 'section-title',
		'title_color' => '',
		'subtitle_color' => '',
		'align_title' => 'align-left'
	);

	$args = wp_parse_args( $args, $defaults );
	$args = (object) $args;

	if ( empty($args->title) ) return;

	$style_title = '';

	if ( $args->title_color ) {
		$style_title = 'style="' . vc_get_css_color( 'color', $args->title_color ) . '"';
	}

	$with_subtitle = '';

	$heading = $args->heading;
	$css_classes = array( $args->css_class );

	if ( strlen ( $args->subtitle ) > 0 ) {
		$with_subtitle = 'with-subtitle';
	}

	$css_class = implode( ' ', array_filter( $css_classes ) );

	ob_start();

	$output = '<div class="title-holder '. $args->align_title . ' heading-' . $args->heading  . ' ' . $with_subtitle . '">';

	$output .= "<{$heading} {$style_title} class='". esc_attr(trim($css_class)) ."'>" . esc_html($args->title) ."</{$heading}>";

	$output .= "</div>";

	$output .= ob_get_clean();

	if ( $echo ) {
		echo wp_kses_post($output);
	} else {
		return $output;
	}

}

if ( ! function_exists('suround_portfolio_get_image_sizes') ) {
	function suround_portfolio_get_image_sizes( $params, $id ) {

		if ( $params['layout'] == 'masonry' ) {
			$image_size = get_post_meta( $id, 'suround_image_size', true );

			if ( empty($image_size) ) {
				$image_size = 'suround-660x420-center-center';
			}
		} else {
			$image_size = 'suround-660x420-center-center';
		}

		return $image_size;
	}
}


if ( !function_exists('suround_image_select') ) {
	function suround_image_select() {
		return array(
			'no-sidebar' => array( 'alt' => esc_html__('Without Sidebar', 'surround' ), 'img' => get_theme_file_uri('admin/theme-options/layouts/layout-full.jpg') ),
			'left-sidebar' => array( 'alt' => esc_html__('Left Sidebar', 'surround' ), 'img' => get_theme_file_uri('admin/theme-options/layouts/layout-left.jpg') ),
			'right-sidebar' => array( 'alt' => esc_html__('Right Sidebar', 'surround' ), 'img' => get_theme_file_uri('admin/theme-options/layouts/layout-right.jpg') )
		);
	}
}

