<?php

class WPBakeryShortCode_VC_mad_authors extends WPBakeryShortCode {

	public $atts = array();
	public $content = '';

	protected function content( $atts, $content = null ) {

		$this->atts = shortcode_atts(array(
			'items' => 8,
			'paginate' => 'none'
		), $atts, 'vc_mad_authors');

		return $this->html();
	}

	public function html() {

		extract( $this->atts );

		$number = $items;
		$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
		$offset = $paged ? ($paged - 1) * $number: 0;
		$users = get_users(array(
			'role__not_in' => array(
				'administrator',
				'subscriber'
			),
		));
		$query = get_users( array(
			'orderby' => 'post_count',
			'order' => 'DESC',
			'paged' => $paged,
			'number' => $number,
			'offset' => $offset,
			'role__not_in' => array(
				'administrator',
				'subscriber'
			),
		) );
		$total_users = count($users);
		$total_query = count($query);
		$total_pages = ceil($total_users / $number);

		ob_start(); ?>

		<div class="team-holder">

			<?php if ( !empty($query) ): ?>

				<div class="team-info">

					<?php foreach ( $query as $user ): ?>

						<?php
						$user_profile = new suround_admin_user_profile();
						$description = get_user_meta($user->ID, 'description', true);
						?>

						<div class="team-item">

							<a href="<?php echo get_author_posts_url( $user->ID ); ?>" class="member-photo">
								<?php echo get_avatar( $user->user_email, '315' ); ?>
							</a>

							<div class="team-desc">

								<div class="member-info">

									<div class="member-name">
										<a href="<?php echo get_author_posts_url( $user->ID ); ?>">
											<?php echo wp_kses_post($user->display_name) ?>
										</a>
									</div>

									<?php echo wp_kses_post($user_profile->output_position($user->ID)); ?>

									<?php if ( !empty($description) ): ?>
										<p class="member-author-description">
											<?php echo get_user_meta($user->ID, 'description', true); ?>
										</p>
									<?php endif; ?>

									<?php echo wp_kses_post($user_profile->output_social_links($user->ID)); ?>

								</div><!--/ .member-info-->

							</div><!--/ .team-desc-->

						</div><!--/ .team-item-->

					<?php endforeach; ?>

				</div><!--/ .team-info-->

				<?php
				if ( $paginate == "pagination" ) {
					if ( $total_users > $total_query ) {
						echo '<div class="navigation pagination" role="navigation">';
						$current_page = max( 1, get_query_var( 'paged' ) );
						echo paginate_links( array(
							'base'    => get_pagenum_link( 1 ) . '%_%',
							'format'  => 'page/%#%/',
							'current' => $current_page,
							'total'   => $total_pages,
							'prev_next'    => true,
							'type'         => 'list',
						));
						echo '</div>';
					}
				}
				?>

			<?php endif; ?>

		</div>

		<?php return ob_get_clean();
	}

}