<?php

class WPBakeryShortCode_VC_mad_banner extends WPBakeryShortCode {

	public $atts = array();

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'image' => '',
			'cost' => '',
			'title' => '',
			'link' => '',
		), $atts, 'vc_mad_banner');

		return $this->html();
	}

	public function html() {

		$attributes = $wrapper_attributes = array();
		$image = $link = $view_button_output = '';
		$use_link = false;

		extract( $this->atts );

		$css_classes = array( 'banner' );

		if ( !empty( $image ) && absint($image) > 0 ) {

			$image_url = wp_get_attachment_image_url( $image, 'suround-450x475-center-center' );

			if ( !empty($image_url) ) {
				$bg_image = 'background-image: url('. $image_url .')';
				$attributes[] = 'style="'. $bg_image. '"';
				$css_classes[] = 'has-image';
			}

		}

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
		$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';
		$wrapper_attributes[] = implode(' ', $attributes);

		if ( $link ) {

			$link = ( '||' === $link ) ? '' : $link;
			$link = vc_build_link( $link );

			if ( strlen( $link['url'] ) > 0 ) {
				$use_link = true;
				$a_href = $link['url'];
				$a_title = $link['title'];
				$a_target = $link['target'];
			}

		}

		ob_start(); ?>

		<div <?php echo implode( ' ', $wrapper_attributes ) ?>>

			<div class="banner-inner">

				<?php if ( !empty($cost) ): ?>
					<span class="banner-cost"><?php echo wp_kses_post($cost) ?></span>
				<?php endif; ?>

				<?php if ( !empty($title) ): ?>
					<h2 class="banner-title"><?php echo wp_kses_post($title) ?></h2>
				<?php endif; ?>

				<?php if ( $use_link ): ?>
					<?php echo '<div class="banner-use-link"><a href="'. esc_url($a_href) .'" target="'. esc_attr($a_target) .'" class="btn btn-banner">' . esc_html($a_title) .'<i class="licon-chevron-right-circle"></i></a></div>'; ?>
				<?php endif; ?>

			</div><!--/ .banner-inner-->

		</div><!--/ .banner-->

		<?php return ob_get_clean();
	}

}