<?php

class WPBakeryShortCode_VC_mad_blog_posts extends WPBakeryShortCode {

	public $atts = array();
	public $entries = '';
	public $loop = array();

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'title' => '',
			'align_title' => 'align-left',
			'heading' => 'h6',
			'layout' => 'a1',
			'columns' => 3,
			'post_id' => false,
			'categories' => array(),
			'orderby' => 'date',
			'order' => 'DESC',
			'items' => 6,
			'paginate' => 'none',
			'link' => '',
		), $atts, 'vc_mad_blog_posts');

		$this->query_entries();
		$html = $this->html();

		return $html;
	}

	public function query_entries() {

		$params = $this->atts;

		$query = array(
			'post_type' => 'post',
			'posts_per_page' => $params['items'],
			'orderby' => $params['orderby'],
			'order' => $params['order'],
			'post_status' => array('publish')
		);

		if ( !empty($params['categories']) ) {
			$query['category_name'] = $params['categories'];
		}

		if ( !empty($params['post_id']) ) {
			$query['post__in'] = array($params['post_id']);
		}

		$paged = get_query_var( 'page' ) ? get_query_var( 'page' ) : ( get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1 );
		$query['paged'] = $paged;
		$this->entries = new WP_Query($query);

	}

	public function html() {

		if ( empty($this->entries) || empty($this->entries->posts) ) return;
		$entries = $this->entries;
		$atts = $this->atts;
		$wrapper_attributes = array();

		extract( $atts );

		$link = ( '||' === $link ) ? '' : $link;
		$link = vc_build_link( $link );
		$use_link = false;
		if ( strlen( $link['url'] ) > 0 ) {
			$use_link = true;
			$a_href = $link['url'];
			$a_title = $link['title'];
			$a_target = $link['target'];
		}

		$css_classes = array( 'entry-holder', 'entry-layout-' . $layout );

		if ( $use_link && $layout !== 'd3' ) {
			$css_classes[] = 'is-use-link';
		}

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
		$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

		ob_start(); ?>

		<?php if ( $entries->have_posts() ): ?>

			<div <?php echo implode(' ', $wrapper_attributes) ?>>

				<?php switch( $layout ):

				case 'a1': ?>

					<?php
					echo suround_get_title(
						array(
							'title' => $title,
							'align_title' => $align_title,
							'heading' => $heading
						)
					);
					?>

					<div class="entry-box">
						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/layout', 'a1' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>
					</div>

					<?php if ( $use_link ): ?>
						<div class="entry-use-link">
							<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
						</div>
					<?php endif; ?>

					<?php break;?>
				<?php case 'a2': ?>

					<?php
					echo suround_get_title(
						array(
							'title' => $title,
							'align_title' => $align_title,
							'heading' => $heading
						)
					);
					?>

					<div class="entry-box">
						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/layout', 'a3' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>
					</div>

					<?php if ( $use_link ): ?>
						<div class="entry-use-link">
							<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-plus"></i></a>
						</div>
					<?php endif; ?>

					<?php break;?>
				<?php case 'a3': ?>

					<?php
					echo suround_get_title(
						array(
							'title' => $title,
							'align_title' => $align_title,
							'heading' => $heading
						)
					);
					?>

					<div class="entry-box">
						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/layout', 'a3' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>
					</div>

					<?php if ( $use_link ): ?>
						<div class="entry-use-link">
							<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-plus"></i></a>
						</div>
					<?php endif; ?>

					<?php break; ?>

				<?php case 'a4': ?>

					<?php
					echo suround_get_title(
						array(
							'title' => $title,
							'align_title' => $align_title,
							'heading' => $heading
						)
					);
					?>

					<div class="entry-box">
						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/layout', 'a4' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>
					</div>

					<?php if ( $use_link ): ?>
						<div class="entry-use-link">
							<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
						</div>
					<?php endif; ?>

					<?php break; ?>

				<?php case 'a5': ?>

					<?php
					echo suround_get_title(
						array(
							'title' => $title,
							'align_title' => $align_title,
							'heading' => $heading
						)
					);
					?>

					<div class="entry-box">
						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/layout', 'a5' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>
					</div>

					<?php if ( $use_link ): ?>
						<div class="entry-use-link">
							<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
						</div>
					<?php endif; ?>

					<?php break; ?>

				<?php case 'a6': ?>

					<?php
					echo suround_get_title(
						array(
							'title' => $title,
							'align_title' => $align_title,
							'heading' => $heading
						)
					);
					?>

					<div class="entry-box">
						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/layout', 'a6' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>
					</div>

					<?php if ( $use_link ): ?>
						<div class="entry-use-link">
							<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
						</div>
					<?php endif; ?>

					<?php break; ?>

				<?php case 'a7': ?>

					<?php
					echo suround_get_title(
						array(
							'title' => $title,
							'align_title' => $align_title,
							'heading' => $heading
						)
					);
					?>

					<div class="entry-box">
						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/layout', 'a7' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>
					</div>

					<?php if ( $use_link ): ?>
						<div class="entry-use-link">
							<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
						</div>
					<?php endif; ?>

					<?php break; ?>

				<?php case 'b1': ?>

						<?php
						echo suround_get_title(
							array(
								'title' => $title,
								'align_title' => $align_title,
								'heading' => $heading
							)
						);
						?>

						<div class="entry-box">
							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/layout', 'b1' ); ?>
							<?php endwhile; wp_reset_postdata(); ?>
						</div>

						<?php if ( $use_link ): ?>
							<div class="entry-use-link">
								<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
							</div>
						<?php endif; ?>

						<?php break; ?>

				<?php case 'b2': ?>

					<?php
					echo suround_get_title(
						array(
							'title' => $title,
							'align_title' => $align_title,
							'heading' => $heading
						)
					);
					?>

					<div class="entry-box">
						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/layout', 'b2' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>
					</div>

					<?php if ( $use_link ): ?>
						<div class="entry-use-link">
							<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
						</div>
					<?php endif; ?>

					<?php break; ?>

				<?php case 'b3': ?>

						<?php
						echo suround_get_title(
							array(
								'title' => $title,
								'align_title' => $align_title,
								'heading' => $heading
							)
						);
						?>

						<div class="entry-box">
							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/layout', 'b3' ); ?>
							<?php endwhile; wp_reset_postdata(); ?>
						</div>

						<?php if ( $use_link ): ?>
							<div class="entry-use-link">
								<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
							</div>
						<?php endif; ?>

						<?php break; ?>

				<?php case 'b4': ?>

						<?php
						echo suround_get_title(
							array(
								'title' => $title,
								'align_title' => $align_title,
								'heading' => $heading
							)
						);
						?>

						<div class="entry-box">
							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/layout', 'b4' ); ?>
							<?php endwhile; wp_reset_postdata(); ?>
						</div>

						<?php if ( $use_link ): ?>
							<div class="entry-use-link">
								<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
							</div>
						<?php endif; ?>

						<?php break; ?>

				<?php case 'b5': ?>

						<?php
						echo suround_get_title(
							array(
								'title' => $title,
								'align_title' => $align_title,
								'heading' => $heading
							)
						);
						?>

						<div class="entry-box">
							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/layout', 'b5' ); ?>
							<?php endwhile; wp_reset_postdata(); ?>
						</div>

						<?php if ( $use_link ): ?>
							<div class="entry-use-link">
								<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
							</div>
						<?php endif; ?>

						<?php break; ?>

				<?php case 'b6': ?>

						<?php
						echo suround_get_title(
							array(
								'title' => $title,
								'align_title' => $align_title,
								'heading' => $heading
							)
						);
						?>

						<div class="entry-box">
							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/layout', 'b6' ); ?>
							<?php endwhile; wp_reset_postdata(); ?>
						</div>

						<?php if ( $use_link ): ?>
							<div class="entry-use-link">
								<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
							</div>
						<?php endif; ?>

						<?php break; ?>

				<?php case 'c1': ?>

						<?php
						echo suround_get_title(
							array(
								'title' => $title,
								'align_title' => $align_title,
								'heading' => $heading
							)
						);
						?>

						<div class="entry-box">
							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/layout', 'c1' ); ?>
							<?php endwhile; wp_reset_postdata(); ?>
						</div>

						<?php if ( $use_link ): ?>
							<div class="entry-use-link">
								<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
							</div>
						<?php endif; ?>


						<?php break;?>

				<?php case 'c1': ?>

						<?php
						echo suround_get_title(
							array(
								'title'       => $title,
								'align_title' => $align_title,
								'heading'     => $heading
							)
						);
						?>

						<div class="entry-box">
							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/layout', 'c1' ); ?>
							<?php endwhile;
							wp_reset_postdata(); ?>
						</div>

						<?php if ( $use_link ): ?>
							<div class="entry-use-link">
								<a href="<?php echo esc_url( $a_href ) ?>" target="<?php echo esc_attr( $a_target ) ?>"
								   class="btn btn-medium btn-style-3"><?php echo esc_html( $a_title ) ?><i class="licon-arrow-right"></i></a>
							</div>
						<?php endif; ?>

					<?php break; ?>

				<?php case 'c2': ?>

						<?php
						echo suround_get_title(
							array(
								'title'       => $title,
								'align_title' => $align_title,
								'heading'     => $heading
							)
						);
						?>

						<div class="entry-box">
							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/layout', 'c2' ); ?>
							<?php endwhile;
							wp_reset_postdata(); ?>
						</div>

						<?php if ( $use_link ): ?>
							<div class="entry-use-link">
								<a href="<?php echo esc_url( $a_href ) ?>" target="<?php echo esc_attr( $a_target ) ?>"
								   class="btn btn-medium btn-style-3"><?php echo esc_html( $a_title ) ?><i class="licon-arrow-right"></i></a>
							</div>
						<?php endif; ?>

					<?php break; ?>

				<?php case 'c3': ?>

					<?php
					echo suround_get_title(
						array(
							'title' => $title,
							'align_title' => $align_title,
							'heading' => $heading
						)
					);
					?>

					<div class="entry-box">
						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/layout', 'c3' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>
					</div>

					<?php if ( $use_link ): ?>
						<div class="entry-use-link">
							<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
						</div>
					<?php endif; ?>

					<?php break;?>

				<?php case 'c4': ?>

					<?php
					echo suround_get_title(
						array(
							'title' => $title,
							'align_title' => $align_title,
							'heading' => $heading
						)
					);
					?>
						<div class="entry-box">
							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/layout', 'c4' ); ?>
							<?php endwhile; wp_reset_postdata(); ?>
						</div>

					<?php if ( $use_link ): ?>
						<div class="entry-use-link">
							<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
						</div>
					<?php endif; ?>

					<?php break;?>
					<?php case 'd1': ?>

						<?php
						echo suround_get_title(
							array(
								'title' => $title,
								'align_title' => $align_title,
								'heading' => $heading
							)
						);
						?>

						<div class="entry-box">
							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/layout', 'd1' ); ?>
							<?php endwhile; wp_reset_postdata(); ?>
						</div>

						<?php if ( $use_link ): ?>
							<div class="entry-use-link">
								<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
							</div>
						<?php endif; ?>


						<?php break; ?>
					<?php case 'd2': ?>

						<?php
						echo suround_get_title(
							array(
								'title' => $title,
								'align_title' => $align_title,
								'heading' => $heading
							)
						);
						?>

						<div class="entry-box">
							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/layout', 'd2' ); ?>
							<?php endwhile; wp_reset_postdata(); ?>
						</div>

						<?php if ( $use_link ): ?>
							<div class="entry-use-link">
								<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
							</div>
						<?php endif; ?>


						<?php break; ?>
				<?php case 'd3': ?>

						<div class="row align-items-center">

							<?php if ( !empty($title ) ): ?>

								<div class="col-xl-1 col-lg-12">
									<?php
									echo suround_get_title(
										array(
											'title' => $title,
											'align_title' => $align_title,
											'heading' => $heading
										)
									);
									?>

									<?php if ( $use_link ): ?>
										<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="link-text"><?php echo esc_html($a_title) ?></a>
									<?php endif; ?>

								</div>

							<?php endif; ?>

						<?php if ( !empty($title ) ): ?><div class="col-xl-11 col-lg-12"><?php endif; ?>

								<div class="entry-box">
									<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
										<?php get_template_part( 'template-parts/post/layout', 'd3' ); ?>
									<?php endwhile; wp_reset_postdata(); ?>
								</div>

							</div>

						<?php if ( !empty($title) ): ?></div><?php endif; ?>

					<?php break; ?>

				<?php case 'd4': ?>

						<div class="entry-box">
							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/layout', 'd4' ); ?>
							<?php endwhile; wp_reset_postdata(); ?>
						</div>

					<?php break; ?>

				<?php case 'e3': ?>

					<?php
					echo suround_get_title(
						array(
							'title' => $title,
							'align_title' => $align_title,
							'heading' => $heading
						)
					);
					?>

					<div class="entry-box">
						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/layout', 'e3' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>
					</div>

					<?php if ( $use_link ): ?>
						<div class="entry-use-link">
							<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
						</div>
					<?php endif; ?>

					<?php break;?>

				<?php break; ?>

					<?php case 'e1': ?>

						<?php
						echo suround_get_title(
							array(
								'title' => $title,
								'align_title' => $align_title,
								'heading' => $heading
							)
						);
						?>

						<div class="entry-box">
							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/layout', 'e1' ); ?>
							<?php endwhile; wp_reset_postdata(); ?>
						</div>

						<?php if ( $use_link ): ?>
							<div class="entry-use-link">
								<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
							</div>
						<?php endif; ?>

						<?php break;?>

					<?php case 'e2': ?>

						<?php
						echo suround_get_title(
							array(
								'title' => $title,
								'align_title' => $align_title,
								'heading' => $heading
							)
						);
						?>

						<div class="entry-box">
							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/layout', 'e2' ); ?>
							<?php endwhile; wp_reset_postdata(); ?>
						</div>

						<?php if ( $use_link ): ?>
							<div class="entry-use-link">
								<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
							</div>
						<?php endif; ?>

						<?php break;?>

				<?php case 'e4': ?>

					<?php
					echo suround_get_title(
						array(
							'title' => $title,
							'align_title' => $align_title,
							'heading' => $heading
						)
					);
					?>

					<div class="entry-box">
						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/layout', 'e4' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>
					</div>

					<?php if ( $use_link ): ?>
						<div class="entry-use-link">
							<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
						</div>
					<?php endif; ?>

					<?php break;?>

				<?php case 'f1': ?>

					<?php
					echo suround_get_title(
						array(
							'title' => $title,
							'align_title' => $align_title,
							'heading' => $heading
						)
					);
					?>

					<div class="entry-box">

						<?php $j = 1; ?>

						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>

							<?php if ( $j == 1 ): ?>

								<?php get_template_part( 'template-parts/post/layout', 'f1' ); ?>

							<?php else: ?>

								<?php get_template_part( 'template-parts/post/layout', 'f11' ); ?>

							<?php endif;; ?>

							<?php $j++; ?>

						<?php endwhile; wp_reset_postdata(); ?>

					</div><!--/ .entry-box-->

					<?php if ( $use_link ): ?>
						<div class="entry-use-link">
							<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
						</div>
					<?php endif; ?>

					<?php break; ?>

				<?php case 'f2': ?>

						<?php
						echo suround_get_title(
							array(
								'title' => $title,
								'align_title' => $align_title,
								'heading' => $heading
							)
						);
						?>

						<div class="entry-box">

							<?php $j = 1; ?>

							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>

								<?php if ( $j == 1 ): ?>

									<?php get_template_part( 'template-parts/post/layout', 'f2' ); ?>

								<?php else: ?>

									<?php get_template_part( 'template-parts/post/layout', 'f22' ); ?>

								<?php endif;; ?>

								<?php $j++; ?>

							<?php endwhile; wp_reset_postdata(); ?>

						</div><!--/ .entry-box-->

						<?php if ( $use_link ): ?>
							<div class="entry-use-link">
								<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
							</div>
						<?php endif; ?>

				<?php break; ?>

				<?php case 'map': ?>

					<div class="entry-box">
						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/layout', 'map' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>
					</div>

					<?php break; ?>
				<?php endswitch; ?>

				<?php if ( $paginate == "pagination" && suround_pagination( $this->entries ) ) : ?>
					<?php echo suround_pagination( $this->entries ); ?>
				<?php endif; ?>

			</div><!--/ .entry-holder-->

		<?php else: ?>

			<?php get_template_part( 'template-parts/post/content', 'none' ); ?>

		<?php endif; ?>

		<?php return ob_get_clean();
	}

}