<?php

class WPBakeryShortCode_VC_mad_blog_posts_carousel extends WPBakeryShortCode {

	public $atts = array();
	public $entries = '';
	public $loop = array();

	protected function content( $atts, $content = null ) {

		$this->atts = shortcode_atts( array(
			'title'       => '',
			'align_title' => 'align-center',
			'heading'     => 'h6',
			'layout'      => 'k1',
			'columns'     => 3,
			'categories'  => array(),
			'orderby'     => 'date',
			'order'       => 'DESC',
			'items'       => 6
		), $atts, 'vc_mad_blog_posts_carousel' );

		$this->query_entries();
		$html = $this->html();

		return $html;
	}

	public function query_entries() {

		$params = $this->atts;

		$query = array(
			'post_type'      => 'post',
			'posts_per_page' => $params['items'],
			'orderby'        => $params['orderby'],
			'order'          => $params['order'],
			'post_status'    => array( 'publish' )
		);

		if ( ! empty( $params['categories'] ) ) {
			$query['category_name'] = $params['categories'];
		}

		$paged          = get_query_var( 'page' ) ? get_query_var( 'page' ) : ( get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1 );
		$query['paged'] = $paged;

		$this->entries = new WP_Query( $query );
	}

	public function html() {

		if ( empty( $this->entries ) || empty( $this->entries->posts ) ) {
			return;
		}
		$entries            = $this->entries;
		$atts               = $this->atts;
		$wrapper_attributes = array();

		extract( $atts );

		$css_classes          = array( 'layout-carousel', 'layout-carousel-' . $layout );
		$css_class            = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
		$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

		ob_start(); ?>

		<?php if ( $entries->have_posts() ): ?>

			<div <?php echo implode( ' ', $wrapper_attributes ) ?>>

				<?php
				echo suround_get_title(
					array(
						'title'       => $title,
						'align_title' => $align_title,
						'heading'     => $heading
					)
				);
				?>

				<?php switch ( $layout ):

					case 'g1': ?>

						<div class="owl-carousel ow-nav__middle--top--black" data-max-items="1" data-autoplay="false" data-nav="true">

							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/carousels/layout', 'g1' ); ?>
							<?php endwhile; wp_reset_postdata(); ?>

						</div>

						<?php break;

					case 'g2': ?>

						<div class="owl-carousel ow-nav__middle--top--black" data-max-items="2" data-autoplay="false" data-nav="true" data-item-margin="28">

							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/carousels/layout', 'g2' ); ?>
							<?php endwhile; wp_reset_postdata(); ?>

						</div>

						<?php break;

					case 'g3': ?>

					<div class="owl-carousel ow-nav__middle--top--black" data-max-items="3" data-autoplay="false" data-nav="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'g3' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'g4': ?>

					<div class="owl-carousel ow-nav__middle--top--black" data-max-items="4" data-nav="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ): $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'g4' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'h2': ?>

					<div class="owl-carousel ow-nav__middle--top--black" data-max-items="2" data-nav="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ): $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'h2' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'h1': ?>

					<div class="owl-carousel ow-nav__middle--top--black" data-max-items="1" data-nav="true">

						<?php while ( $entries->have_posts() ): $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'h1' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'h3': ?>

					<div class="owl-carousel ow-nav__middle--top--black" data-max-items="3" data-nav="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ): $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'h3' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'h4': ?>

					<div class="owl-carousel ow-nav__middle--top--black" data-max-items="4" data-nav="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ): $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'h4' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'i1': ?>

					<div class="owl-carousel ow-nav__middle--top--black" data-max-items="1" data-nav="true">

						<?php while ( $entries->have_posts() ): $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'i1' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'i2': ?>

					<div class="owl-carousel ow-nav__middle--top--black" data-max-items="2" data-nav="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ): $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'i2' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'i3': ?>

					<div class="owl-carousel ow-nav__middle--top--black" data-max-items="3" data-nav="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ): $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'i3' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'i4': ?>

					<div class="owl-carousel ow-nav__middle--top--black" data-max-items="4" data-nav="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ): $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'i4' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'i3b': ?>

					<div class="owl-carousel owl-nav__big--white" data-max-items="3" data-nav="true">

						<?php while ( $entries->have_posts() ): $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'i3b' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'i4b': ?>

					<div class="owl-carousel owl-nav__big--white" data-max-items="4" data-nav="true">

						<?php while ( $entries->have_posts() ): $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'i4b' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'j2': ?>

					<div class="owl-carousel ow-nav__middle--top--black" data-max-items="2" data-nav="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ): $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'j2' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'j3': ?>

					<div class="owl-carousel ow-nav__middle--top--black" data-max-items="3" data-nav="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ): $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'j3' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'j4': ?>

					<div class="owl-carousel ow-nav__middle--top--black" data-max-items="4" data-nav="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ): $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'j4' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>
				<?php case 'k1': ?>

					<div class="owl-carousel" data-max-items="1" data-autoplay="false" data-auto-height="true" data-dots="true">

						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'k1' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

					<?php case 'k2': ?>

					<div class="owl-carousel" data-max-items="2" data-autoplay="false" data-dots="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'k2' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

					<?php case 'k3': ?>

					<div class="owl-carousel" data-max-items="3" data-autoplay="false" data-dots="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'k3' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

					<?php case 'k4': ?>

					<div class="owl-carousel" data-max-items="4" data-autoplay="false" data-dots="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'k4' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

					<?php case 'l1': ?>

						<div class="owl-carousel" data-max-items="1" data-autoplay="false" data-dots="true">

							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/carousels/layout', 'l1' ); ?>
							<?php endwhile; wp_reset_postdata(); ?>

						</div>

						<?php break; ?>

					<?php case 'l2': ?>

						<div class="owl-carousel" data-max-items="2" data-autoplay="false" data-dots="true" data-item-margin="28">

							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/carousels/layout', 'l2' ); ?>
							<?php endwhile; wp_reset_postdata(); ?>

						</div>

						<?php break; ?>

					<?php case 'l3': ?>

						<div class="owl-carousel" data-max-items="3" data-autoplay="false" data-dots="true" data-item-margin="28">

							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/carousels/layout', 'l3' ); ?>
							<?php endwhile; wp_reset_postdata(); ?>

						</div>

						<?php break; ?>

					<?php case 'l4': ?>

						<div class="owl-carousel" data-max-items="4" data-autoplay="false" data-dots="true" data-item-margin="28">

							<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
								<?php get_template_part( 'template-parts/post/carousels/layout', 'l4' ); ?>
							<?php endwhile; wp_reset_postdata(); ?>

						</div>

						<?php break; ?>

				<?php case 'm1': ?>

					<div class="owl-carousel owl-dots__bottom--light" data-max-items="1" data-autoplay="false" data-dots="true">

						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'm1' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'm2': ?>

					<div class="owl-carousel" data-max-items="2" data-autoplay="false" data-dots="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'm2' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'm3': ?>

					<div class="owl-carousel" data-max-items="3" data-autoplay="false" data-dots="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'm3' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'm4': ?>

					<div class="owl-carousel" data-max-items="4" data-autoplay="false" data-dots="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'm4' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'n1': ?>

					<div class="owl-carousel owl-dots__in_bottom_right--light" data-max-items="1" data-autoplay="false" data-dots="true">

						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'n1' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'n2': ?>

					<div class="owl-carousel" data-max-items="2" data-autoplay="false" data-dots="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'n2' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'n3': ?>

					<div class="owl-carousel" data-max-items="3" data-autoplay="false" data-dots="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'n3' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php case 'n4': ?>

					<div class="owl-carousel" data-max-items="4" data-autoplay="false" data-dots="true" data-item-margin="28">

						<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
							<?php get_template_part( 'template-parts/post/carousels/layout', 'n4' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>

					</div>

					<?php break; ?>

				<?php endswitch; ?>

			</div>

		<?php else: ?>

			<?php get_template_part( 'template-parts/post/content', 'none' ); ?>

		<?php endif; ?>

		<?php return ob_get_clean();
	}

}