<?php

class WPBakeryShortCode_VC_mad_contact_info extends WPBakeryShortCode {

	public $atts = array();
	public $content = '';

	protected function content( $atts, $content = null ) {

		$this->atts = shortcode_atts(array(
			'title' => '',
			'info_location' => '',
			'info_phone' => '',
			'info_fax' => '',
			'info_email' => '',
			'info_email_2' => '',
			'info_email_3' => ''
		), $atts, 'vc_mad_contact_info');

		return $this->html();
	}

	public function html() {

		$title = $info_location = $info_phone = $info_fax = $info_email = $info_email_2 = $info_email_3 = '';

		extract( $this->atts );

		ob_start(); ?>

		<div class="our-info-holder">

			<?php
			echo suround_get_title(
				array(
					'title' => $title,
					'heading' => 'h5'
				)
			);
			?>

			<div class="our-info">

				<?php if ( !empty($info_location) ): ?>

					<p class="info-item">
						<span class="info-title"><?php echo esc_html__('Office Address', 'surround' ) ?>:</span>
						<?php echo wp_kses_post($info_location) ?>
					</p>

				<?php endif; ?>

				<?php if ( !empty($info_phone) ): ?>

					<p class="info-item">
						<span class="info-title"><?php echo esc_html__('Phone', 'surround' ) ?>:</span>
						<span content="telephone=no"><?php echo wp_kses_post($info_phone) ?></span>
					</p>

				<?php endif; ?>

				<?php if ( !empty($info_fax) ): ?>

					<p class="info-item">
						<span class="info-title"><?php echo esc_html__('Fax', 'surround' ) ?>:</span>
						<?php echo wp_kses_post($info_fax) ?>
					</p>

				<?php endif; ?>

				<?php if ( !empty($info_email) ): ?>

					<p class="info-item">
						<span class="info-title"><?php echo esc_html__('Editorial Inquiries', 'surround' ) ?>:</span>
						<?php echo sprintf( apply_filters( 'suround_info_email', '<a class="link-info-text" href="mailto:%s">%s</a>' ), $info_email, $info_email ); ?>
					</p>

				<?php endif; ?>

				<?php if ( !empty($info_email_2) ): ?>

					<p class="info-item">
						<span class="info-title"><?php echo esc_html__('Advertising inquiries', 'surround' ) ?>:</span>
						<?php echo sprintf( apply_filters( 'suround_info_email', '<a class="link-info-text" href="mailto:%s">%s</a>' ), $info_email_2, $info_email_2 ); ?>
					</p>

				<?php endif; ?>

				<?php if ( !empty($info_email_3) ): ?>

					<p class="info-item">
						<span class="info-title"><?php echo esc_html__('Media inquiries', 'surround' ) ?>:</span>
						<?php echo sprintf( apply_filters( 'suround_info_email', '<a class="link-info-text" href="mailto:%s">%s</a>' ), $info_email_3, $info_email_3 ); ?>
					</p>

				<?php endif; ?>

			</div><!--/ .our-info-->

		</div><!--/ .our-info-holder-->

		<?php return ob_get_clean();
	}

}