<?php

class WPBakeryShortCode_VC_mad_counter extends WPBakeryShortCode {

	public $atts = array();

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'style' => 'style-1',
			'columns' => 4,
			'values' => '',
		), $atts, 'vc_mad_counter');

		$html = $this->html();

		return $html;
	}

	public function html() {

		$values = $title = $style = '';
		$atts = $this->atts;

		extract( $atts );
		$values = (array) vc_param_group_parse_atts( $values );

		$css_classes = array(
			'counter-wrap', 'item-col-4', $style
		);

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

		ob_start(); ?>

		<!-- - - - - - - - - - - - - - Counter - - - - - - - - - - - - - - - - -->

		<?php if ( !empty($values) ): ?>

			<div class="<?php echo esc_attr(trim($css_class)) ?>">

				<?php foreach ( $values as $value ): ?>

					<div class="counter">

						<?php $value['icon'] = trim( $value['icon'] ); ?>

						<div class="count-item <?php if ( isset( $value['icon'] ) && ! empty( $value['icon'] ) ): ?>with-icon<?php endif; ?>">

							<?php if ( isset( $value['icon'] ) ): ?>

								<?php $icon = trim( $value['icon'] ); ?>

								<?php if ( ! empty( $icon ) && $icon !== 'none' ): ?>
									<span class="<?php echo trim( $icon ) ?>"></span>
								<?php endif; ?>

							<?php endif; ?>

							<div class="count-content">

								<h5 class="timer count-number" data-to="<?php echo esc_attr( $value['value'] ) ?>"
									data-speed="1500">0</h5>

								<?php if ( ! empty( $value['unit'] ) ): ?>
									<h5 class="count-unit"><?php echo esc_html( $value['unit'] ) ?></h5>
								<?php endif; ?>

								<?php if ( ! empty( $value['label'] ) ): ?>
									<h5 class="count-title"><?php echo esc_html( $value['label'] ) ?></h5>
								<?php endif; ?>

							</div><!--/ .count-title-->

						</div><!--/ .count-item-->

					</div><!--/ .counter-->

				<?php endforeach; ?>

			</div><!--/ .counter-wrap-->

		<?php endif; ?>

		<!-- - - - - - - - - - - - - - End of Counter - - - - - - - - - - - - - - - - -->

		<?php return ob_get_clean();
	}

}