<?php

class WPBakeryShortCode_VC_mad_cta extends WPBakeryShortCode {

	protected $template_vars = array();

	public function buildTemplate( $atts, $content ) {
		$output = array();

		$container_classes = $column_left_clases = $columns_right_classes = array();

		$output['heading'] = $this->getHeading( 'h2', $atts );
		$output['subheading'] = $this->getHeading( 'p', $atts );
		$output['actions-button'] = $this->getOneButton( $atts );

		switch( $atts['style'] ) {
			case 'half-bg-col':
				$output['content'] = wpb_js_remove_wpautop( $content, true );
				break;
		}

		$container_classes[] = $atts['style'];
		$output['container-class'] = $container_classes;
		$output['column-left-class'] = $column_left_clases;
		$output['column-right-class'] = $columns_right_classes;

		$this->template_vars = $output;
	}

	public function getHeading( $tag, $atts ) {
		$inline_css = $styling = '';
		if ( isset( $atts[ $tag ] ) && '' !== trim( $atts[ $tag ] ) ) {

			if ( $tag == 'h2' ) {
				$inline_css .= 'class="call-title"';
			}

			return '<' . $tag . ' ' . $styling . ' ' . $inline_css . ' ' . $styling . '>' . $atts[$tag] . '</' . $tag . '>';
		}

		return '';
	}

	public function getOneButton( $atts ) {
		$output = '';
		$output .= $this->getButton($atts);
		return $output;
	}

	public function getButton( $atts ) {
		$link = $atts['link'];

		if ( empty($link) ) return '';

		$url = vc_build_link( $link );

		$buttonClasses = 'btn btn-big btn-style-10';

//		if ( $atts['style'] == 'half-bg-col' ) {
//			$buttonClasses = 'btn btn-big btn-style-10';
//		}

		if ( strlen( $link ) > 0 && strlen( $url['url'] ) > 0 ) {
			return '<a class="' . esc_attr($buttonClasses) .'"
			href="' . esc_attr( $url['url'] ) . '"
			target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '">' . esc_html( $url['title'] ) . '</a>';
		}

		return '';
	}

	public function getTemplateVariable( $string ) {
		if ( is_array( $this->template_vars ) && isset( $this->template_vars[ $string ] ) ) {
			return $this->template_vars[ $string ];
		}
		return '';
	}

}