<?php

class WPBakeryShortCode_VC_mad_post_map extends WPBakeryShortCode {

	public $atts = array();
	public $listings = '';

	protected function content( $atts, $content = null ) {

		$this->atts = shortcode_atts(array(
			'per_page' => get_option('posts_per_page'),
			'categories' => '',
			'post_id' => false
		), $atts, 'vc_mad_post_map');

		$html = $this->html();

		return $html;
	}

	public function html() {

		$atts = $this->atts;
		$categories = !empty($atts['categories']) ? $atts['categories'] : '';
		$post_id = !empty($atts['post_id']) ? $atts['post_id'] : false;
		$per_page = absint($atts['per_page']);

		$data = array(
			'skin' => suround_get_option('map-skin'),
			'single' => is_single() ? true : false
		);

		$options = htmlspecialchars( json_encode( $data ), ENT_QUOTES, 'UTF-8' );

		ob_start(); ?>

			<div class="suround-shortcode-map">
				<div class="suround-post-hidden-map"><?php echo do_shortcode('[vc_mad_blog_posts post_id="' . $post_id . '" categories="' . $categories . '" layout="map" items=' . $per_page . ']') ?></div>
				<div class="suround-post-gmap" data-options="<?php echo esc_attr($options) ?>" id="suround-post-gmap"></div>
			</div><!--/ .suround-shortcode-map-->

		<?php return ob_get_clean();
	}

}