<?php

class WPBakeryShortCode_VC_mad_series extends WPBakeryShortCode {

	public $atts = array();
	public $entries = '';
	public $loop = array();

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'title' => '',
			'align_title' => 'align-left',
			'heading' => 'h6',
			'series' => array(),
			'items' => 6,
			'link' => ''
		), $atts, 'vc_mad_series');

		$html = $this->html();

		return $html;
	}

	public function html() {

		$atts = $this->atts;
		$wrapper_attributes = array();

		$link = $atts['link'];
		$link = ( '||' === $link ) ? '' : $link;
		$link = vc_build_link( $link );
		$use_link = false;
		if ( strlen( $link['url'] ) > 0 ) {
			$use_link = true;
			$a_href = $link['url'];
			$a_title = $link['title'];
			$a_target = $link['target'];
		}

		$css_classes = array( 'entry-holder', 'entry-layout-a3' );

		if ( $use_link ) {
			$css_classes[] = 'is-use-link';
		}

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

		$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

		$args = array(
			'taxonomy' => 'series',
			'number' => $atts['items']
		);

		if ( !empty($atts['series']) ) {
			$args['slug'] = explode(',', $atts['series']);
		}

		$mod_series = get_terms($args);

		ob_start(); ?>

		<?php if ( !is_wp_error($mod_series) ): ?>

			<?php
			$new_mod_series = array();

			foreach( $mod_series as $cat){
				$new_mod_series[$cat->term_id] = $cat;
			}

			ksort($new_mod_series);
			?>

			<?php if ( !empty( $mod_series ) ): ?>

				<div <?php echo implode( ' ', $wrapper_attributes ) ?>>

					<?php
					echo suround_get_title(
						array(
							'title'       => $atts['title'],
							'align_title' => $atts['align_title'],
							'heading'     => $atts['heading']
						)
					);
					?>

					<div class="entry-box">

						<?php foreach ( $new_mod_series as $cat ): ?>
							<?php include( locate_template( 'template-parts/post/layout-series.php' ) ); ?>
						<?php endforeach; ?>

					</div>

					<?php if ( $use_link ): ?>
						<div class="entry-use-link">
							<a href="<?php echo esc_url($a_href) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-medium btn-style-3"><?php echo esc_html($a_title) ?><i class="licon-arrow-right"></i></a>
						</div>
					<?php endif; ?>

				</div><!--/ .entry-holder-->

			<?php endif; ?>

		<?php endif;

		return ob_get_clean();

	}

}