<?php

class WPBakeryShortCode_VC_mad_social_links extends WPBakeryShortCode {

	public $atts = array();
	public $content = '';

	protected function content( $atts, $content = null ) {

		$this->atts = shortcode_atts( array(
			'title' => '',
			'facebook_link' => '',
			'twitter_link' => '',
			'gplus_link' => '',
			'instagram_link' => '',
			'youtube_link' => '',
			'pinterest_link' => '',
		), $atts, 'vc_mad_social_links' );

		return $this->html();
	}

	public function html() {

		$title = $facebook_link = $twitter_link = $gplus_link = $instagram_link = $youtube_link = '';

		extract( $this->atts );

		ob_start(); ?>

		<div class="social-links-shortcode">

			<?php
			echo suround_get_title(
				array(
					'title'   => $title,
					'heading' => 'span',
					'css_class' => 'info-title'
				)
			);
			?>

			<ul class="social-icons hr-type">

				<?php if ( $facebook_link != '' ) : ?>
					<li><a target="_blank" href="<?php echo esc_url( $facebook_link ); ?>"><i class="icon-facebook"></i><span><?php esc_html_e( 'Facebook', 'surround' ) ?></span></a>
					</li>
				<?php endif; ?>

				<?php if ( $twitter_link != '' ) : ?>
					<li><a target="_blank" href="<?php echo esc_url( $twitter_link ); ?>"><i
									class="icon-twitter"></i><span><?php esc_html_e( 'Twitter', 'surround' ) ?></span></a>
					</li>
				<?php endif; ?>

				<?php if ( $gplus_link != '' ) : ?>
					<li><a target="_blank" href="<?php echo esc_url( $gplus_link ); ?>"><i
									class="icon-gplus-3"></i><span><?php esc_html_e( 'Google +', 'surround' ) ?></span></a>
					</li>
				<?php endif; ?>

				<?php if ( $instagram_link != '' ) : ?>
					<li><a target="_blank" href="<?php echo esc_url( $instagram_link ); ?>"><i
									class="icon-instagram-5"></i><span><?php esc_html_e( 'Instagram', 'surround' ) ?></span></a>
					</li>
				<?php endif; ?>

				<?php if ( $youtube_link != '' ) : ?>
					<li><a target="_blank" href="<?php echo esc_url( $youtube_link ); ?>"><i
									class="icon-youtube-play"></i><span><?php esc_html_e( 'Youtube', 'surround' ) ?></span></a>
					</li>
				<?php endif; ?>

				<?php if ( $pinterest_link != '' ) : ?>
					<li><a target="_blank" href="<?php echo esc_url( $pinterest_link ); ?>"><i
									class="icon-pinterest"></i><span><?php esc_html_e( 'Pinterest', 'surround' ) ?></span></a>
					</li>
				<?php endif; ?>

			</ul>

		</div>

		<?php return ob_get_clean();
	}

}