<?php

class WPBakeryShortCode_VC_mad_tabs_post_categories extends WPBakeryShortCode {

	public $atts = array();
	public $term_list_category = '';
	public $term_list_region = '';
	public $custom_category_labels = '';

	protected function content( $atts, $content = null ) {

		$this->atts = shortcode_atts(array(
			'number_of_items' => 6,
			'orderby' => 'name',
			'order' => 'DESC',
			'categories' => '',
			'layout' => 'd3',
			'page_archive' => ''
		), $atts, 'vc_mad_tabs_post_categories');

		$this->query_entries_category();
		$html = $this->html();

		return $html;
	}

	public function query_entries_category( $params = array() ) {

		if ( empty($params) ) $params = $this->atts;

		extract( $params );

		$query_args = array(
			'taxonomy' => 'category',
			'order' => 'DESC',
			'hide_empty' => false,
			'hierarchical' => true,
			'pad_counts' => true
		);

		if ( ! empty( $orderby ) && is_string( $orderby ) ) {
			$query_args['orderby'] = $orderby;
		}

		if ( ! empty( $order ) && is_string( $order ) ) {
			$query_args['order'] = $order;
		}

		$categories_slug = array();

		if ( ! empty( $categories ) && is_string( $categories ) ) {

			$categories = explode( ',', $categories );

			foreach ( $categories as $key => $cat ) {
				$categories_slug[ $key ] = $cat;
			}

			$query_args['slug'] = $categories_slug;

		}

		$all_terms = get_terms(
			$query_args
		);

		if ( is_wp_error( $all_terms ) ) {
			return;
		}

		if ( ! $number_of_items = intval( $number_of_items ) ) {
			$number_of_items = 10;
		}

		$term_list = array_slice( $all_terms, 0, $number_of_items );
		$this->term_list_category = $term_list;

	}

	public function html() {

		if ( empty($this->term_list_category) ) return;

		$term_list_category = $this->term_list_category;

		extract( $this->atts );

		ob_start(); ?>

		<div class="cats-tabs">

			<div class="container wide">

				<div class="row justify-content-between">

					<div class="col-2">

						<ul class="cats-tabs-caption">

							<?php foreach ( $term_list_category as $key => $term ): ?>
								<li><a href="<?php echo esc_url( get_term_link( $term ) ) ?>"><?php echo wp_kses_post($term->name) ?></a></li>
							<?php endforeach; ?>

							<?php if ( !empty($this->atts['page_archive']) ): ?>
								<li><a target="_blank" href="<?php echo esc_url( get_the_permalink($this->atts['page_archive']) ) ?>"><?php echo esc_html__('View All', 'surround') ?></a></li>
							<?php endif; ?>

						</ul>

					</div>

					<div class="col-9">

						<?php foreach ( $term_list_category as $key => $term ): ?>

							<div class="cats-tab-content <?php if ( $key == 0 ): ?>active<?php endif; ?>">

								<div class="entry-holder entry-layout-<?php echo esc_attr($layout) ?>">

									<div class="entry-box">

										<?php
										$query = array(
											'post_type'      => 'post',
											'posts_per_page' => 6,
											'orderby'        => 'date',
											'order'          => 'DESC',
											'post_status'    => array( 'publish' ),
											'cat'            => $term->term_id
										);

										$entries = new WP_Query( $query );

										while ( $entries->have_posts() ) : $entries->the_post();
											get_template_part( 'template-parts/post/layout', $layout );
										endwhile; wp_reset_postdata();
										?>

									</div>

								</div>

							</div>

						<?php endforeach; ?>

					</div>

				</div>

			</div>

		</div>

		<?php return ob_get_clean();
	}

}