<?php

class WPBakeryShortCode_vc_mad_vcw_table extends WPBakeryShortCode {

	public $atts = array();
	protected $symbol        = 'BTC';
	protected $currency      = 'USD';
	protected $currencies    = array();
	protected $main_class    = '';

	protected function content( $atts, $content = null ) {

		if ( !defined('VCW_VERSION') ) return;

		$this->atts = shortcode_atts( array(
			'symbols'   => 'BTC,ETH,XRP,LTC,BCH,BNB,ICX,LSK,OMG,VEN,XEM,USDT,BTC,XEM,USDT,BTC',
			'currency'  => 'USD',
			'count'     => 16
		), $atts, 'vc_mad_vcw_table' );

		$atts = $this->atts;
		extract( $atts );

		$symbols_array = explode( ',', $symbols );

		$this->setSymbols($symbols_array);
		$this->setCurrency($currency);

		return $this->build();
	}

	public function setSymbols( $symbols )
	{
		if ( is_array($symbols) ) {
			$this->symbols = $symbols;
		}
	}

	public function setCurrency( $currency )
	{
		if ( is_string($currency) ) {
			$this->currency = $currency;
		}
	}

	public function build() {

		$rate = VCW_Data::rate( $this->currency );
		$output = '';

		foreach ( $this->symbols as $symbol ) {

			$info = array_merge(array(
				'name'          => '?',
				'price_btc'     => null,
				'change_1h'     => null,
			), VCW_Data::cryptoCurrency($symbol, array()));

			$change_1h  = $info['change_1h'];
			$volume_24h_btc  = $info['volume_24h_btc'];

			$output .= '<div class="cr-item">';
				$output .= '<div class="cr-currency">'. $info['name'] .'<span class="change-icon '. $this->changeIcon($change_1h) .'">'. VCW_Helpers::changeString($change_1h) .'</span></div>';
				$output .= '<div class="cr-price"><span>'. VCW_Helpers::quotation($rate, $info['price_btc'], false) .'</span> '. $this->currency .'</div>';
				$output .= '<div class="vol"> '. esc_html__('Volume', 'surround' ) . ': <span>' . VCW_Helpers::changeString($volume_24h_btc, false) . '</span></div>';
			$output .= '</div>';

		}

		return (string) '<div class="str crypto-section">'. $output .'</div>';

	}

	protected function changeIcon($change)
	{
		if(is_null($change)) {
			$classes = '';
		} else if($change > 0) {
			$classes = 'plus';
		} else if($change < 0) {
			$classes = '';
		} else {
			$classes = '';
		}

		return $classes;
	}

}