<?php

class Suround_WooCommerce_Template {

	public function __construct() {

		add_action( 'after_setup_theme', array( $this, 'add_theme_support' ) );
		add_action( 'widgets_init', array( $this, 'widgets_init' ), 20 );

	}

	public function add_theme_support() { }

	public function widgets_init() {

		$before_widget = '<div id="%1$s" class="widget %2$s">';

		$widget_args = array(
			'before_widget' => $before_widget,
			'after_widget' => '</div>',
			'before_title' => '<h6 class="widget-title">',
			'after_title' => '</h6>'
		);

		register_sidebar(array(
			'name' => esc_html__('Shop Widget Area', 'surround' ),
			'id' => 'shop-widget-area',
			'description'   => esc_html__('For WooCommerce pages.', 'surround' ),
			'before_widget' => $widget_args['before_widget'],
			'after_widget' => $widget_args['after_widget'],
			'before_title' => $widget_args['before_title'],
			'after_title' => $widget_args['after_title']
		));
	}

}