<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * e.g., it puts together the home page when no home.php file exists.
 *
 * Learn more: {@link https://codex.wordpress.org/Template_Hierarchy}
 *
 * @package WordPress
 * @subpackage Suround
 */

get_header(); ?>

<?php if ( have_posts() ) : ?>

	<div class="entry-holder entry-layout-a1">
		<div class="entry-box">
			<?php while ( have_posts() ) : the_post(); ?>
				<?php get_template_part( 'template-parts/post/formats/content', get_post_format() ); ?>
			<?php endwhile; ?>
		</div>
	</div>

	<?php echo suround_paging_nav(); ?>

<?php else : ?>

	<?php get_template_part( 'template-parts/post/content', 'none' ); ?>

<?php endif; ?>

<?php get_footer(); ?>