(function($) {

	'use strict';

	$(function() {

		$('body').on('click', 'img.suround-img-select', function(e) {
			e.preventDefault();
			var this_img = $(this);
				this_img.closest('ul').find('img.suround-img-select').removeClass('selected');
				this_img.addClass('selected');
				this_img.closest('ul').find('input').removeAttr('checked');
				this_img.closest('li').find('input').attr('checked', 'checked');
		});


		var meta_image_frame;
		$('body').on('click', '#suround-image-upload', function(e) {

			e.preventDefault();

			if ( meta_image_frame ) {
				meta_image_frame.open();
				return;
			}

			meta_image_frame = wp.media.frames.meta_image_frame = wp.media({
				title: 'Choose your image',
				button: {
					text: 'Set image'
				},
				library: {
					type: 'image'
				}
			});

			meta_image_frame.on('select', function() {
				var media_attachment = meta_image_frame.state().get('selection').first().toJSON();
				$('#suround-image-url').val(media_attachment.url);
				$('#suround-image-id').val(media_attachment.id);
				$('#suround-image-preview').attr('src', media_attachment.url).show();

			});

			meta_image_frame.open();
		});

		$('body').on('click', '#suround-image-clear', function(e) {
			$('#suround-image-preview').hide();
			$('#suround-image-url').val('');
			$(this).hide();
		});

		/* Layout toggle */

		function suround_toggle_category_layout() {
			var layout_type = $('input.layout-type:checked').val();

			if ( layout_type == 'custom' ) {
				$('.suround-layout-opt').show();
			} else {
				$('.suround-layout-opt').hide();
			}

		}

		suround_toggle_category_layout();

		$('body').on('click', 'input.layout-type', function(e) {
			suround_toggle_category_layout();
		});

		/* Layout main */

		function suround_toggle_category_layout_main() {
			var val = $('select.layout-main').val();

			if ( val == 'grid' ) {
				$('.suround-layout-grid-columns').show();
				$('.suround-layout-grid-fullwidth').show();
				$('.suround-layout-map-mode').show();
				$('.suround-layout-grid-breadcrumbs').show();
			} else if ( val == 'side-map' ) {
				$('.suround-layout-grid-fullwidth').hide();
				$('.suround-layout-grid-columns').hide();
				$('.suround-layout-map-mode').hide();
				$('.suround-layout-grid-breadcrumbs').hide();
			} else {
				$('.suround-layout-grid-fullwidth').hide();
				$('.suround-layout-grid-columns').hide();
				$('.suround-layout-map-mode').show();
				$('.suround-layout-grid-breadcrumbs').show();
			}

		}

		suround_toggle_category_layout_main();

		$('body').on('change', 'select.layout-main', function(e) {
			suround_toggle_category_layout_main();
		});

		/* Breadcrumb toggle */

		function suround_toggle_category_breadcrumb() {
			var val = $('input.layout-breadcrumb:checked').val();

			if ( val == 1 ) {
				$('.suround-layout-breadcrumbs-position').show();
			} else {
				$('.suround-layout-breadcrumbs-position').hide();
			}
		}

		suround_toggle_category_breadcrumb();

		$('body').on('change', 'input.layout-breadcrumb', function(e) {
			suround_toggle_category_breadcrumb();
		});

		/* Sidebar toggle */

		function suround_toggle_category_sidebar() {
			var layout_type = $('input.layout-sidebar:checked').val();

			if ( layout_type == 'custom' ) {
				$('.suround-sidebar-opt').show();
			} else {
				$('.suround-sidebar-opt').hide();
			}

		}

		suround_toggle_category_sidebar();

		$("body").on("click", "input.layout-sidebar", function(e) {
			suround_toggle_category_sidebar();
		});


	});

})(jQuery);