(function($) {

	$(function() {

		if ( $.fn.tipTip ) {
			$('.tips').tipTip({
				'attribute': 'data-tip',
				'fadeIn': 50,
				'fadeOut': 50,
				'delay': 200
			});
		}

		var $formItems = $('.rwmb-select, .rwmb-radio, .rwmb-checkbox, .rwmb-number');

		if ( $formItems && $.fn.styler ) {
			$formItems.styler({
				selectPlaceholder: suround_admin_global_vars.default_text
			});
		}

		/* Load Map */

		if ( $.fn.mapboxMapify ) {
			$( suround_post_admin_localize.input ).mapboxMapify( suround_post_admin_localize );
		}

		// Uploading files
		var file_frame;
		var file_target_input;
		var file_target_wrapper;

		$(document).on('click', '.suround_post_view_file_button', function ( e ) {
			e.preventDefault();

			file_target_wrapper = $( this ).closest( '.file_url' );
			file_target_input = file_target_wrapper.find( 'input' );

			var attachment_url = file_target_input.val();

			if ( attachment_url.indexOf( '://' ) > - 1 ) {
				window.open( attachment_url, '_blank' );
			} else {
				file_target_input.addClass( 'file_no_url' );
				setTimeout( function () {
					file_target_input.removeClass( 'file_no_url' );
				}, 1000 );
			}

		});

		$(document).on('click', '.suround_post_upload_file_button', function( event ) {
			event.preventDefault();

			file_target_wrapper = $( this ).closest('.file_url');
			file_target_input   = file_target_wrapper.find('input');

			// If the media frame already exists, reopen it.
			if ( file_frame ) {
				file_frame.open();
				return;
			}

			// Create the media frame.
			file_frame = wp.media.frames.file_frame = wp.media({
				title: $( this ).data( 'uploader_title' ),
				button: {
					text: $( this ).data( 'uploader_button_text' )
				},
				multiple: false  // Set to true to allow multiple files to be selected
			});

			// When an image is selected, run a callback.
			file_frame.on( 'select', function() {
				// We set multiple to false so only get one image from the uploader
				var attachment = file_frame.state().get('selection').first().toJSON();

				$( file_target_input ).val( attachment.url );
			});

			// Finally, open the modal
			file_frame.open();
		});

	});

})(jQuery);



