<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * e.g., it puts together the home page when no home.php file exists.
 *
 * Learn more: {@link https://codex.wordpress.org/Template_Hierarchy}
 *
 * @package WordPress
 * @subpackage Suround
 */

get_header(); ?>

<?php if ( have_posts() ) : ?>

	<?php
	$layout = suround_get_current_post_layout();
	?>

	<?php echo suround_sort_header($layout); ?>

	<div id="filter-section" class="view-<?php echo sanitize_html_class($layout) ?>">

		<div class="entry-holder type-classic entry-layout-a1">
			<div class="entry-box">
				<?php while ( have_posts() ) : the_post(); ?>
					<?php get_template_part( 'template-parts/post/layout', 'a1' ); ?>
				<?php endwhile; ?>
			</div>
		</div>

		<div class="entry-holder type-list without-border entry-layout-e3">
			<div class="entry-box">
				<?php while ( have_posts() ) : the_post(); ?>
					<?php get_template_part( 'template-parts/post/layout', 'e3' ); ?>
				<?php endwhile; ?>
			</div>
		</div>

		<div class="entry-holder type-grid entry-layout-a2">
			<div class="entry-box">
				<?php while ( have_posts() ) : the_post(); ?>
					<?php get_template_part( 'template-parts/post/layout', 'a2' ); ?>
				<?php endwhile; ?>
			</div>
		</div>

		<?php echo suround_paging_nav(); ?>

	</div><!--/ #filter-section-->

<?php else : ?>

	<?php get_template_part( 'template-parts/post/content', 'none' ); ?>

<?php endif; ?>

<?php get_footer(); ?>