<?php
/**
* The template file that describes "breadcrumb" section markup.
*
* @package WordPress
*/
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'surround') );
}

global $Suround, $SuroundLayout;

$SuroundHelper = $Suround->helper();

$breadcrumb = $SuroundLayout->getBreadcrumb();

if ( !$breadcrumb ) return;

$breadcrumb_classes = array($breadcrumb['content-alignment']);
$breadcrumb_bg_is_set = isset($breadcrumb['background-image']) && !empty($breadcrumb['background-image']) && $breadcrumb['background-image'] != 'none';

if ( isset($breadcrumb['parallax']) && $breadcrumb['parallax'] == 'on' && $breadcrumb_bg_is_set ) {
    array_push($breadcrumb_classes, 'colorizer--parallax');
}

$term = get_queried_object();
$meta = suround_get_category_meta($term->term_id);
$meta_image = $meta['image'];
$meta_breadcrumb = $meta['layout']['breadcrumb'];
$cat_desc = category_description();

if ( $meta_breadcrumb ) {
	if ( '' != $meta_image ) {
		array_push( $breadcrumb_classes, 'has-image' );
	}

	if ( $meta['layout']['breadcrumb_align'] == 'right' ) {
		if ( $cat_desc ) {
			array_push( $breadcrumb_classes, 'has-description-align-right' );
		}
	}

}
?>

<!--================ Breadcrumb ================-->

<div class="breadcrumbs-wrap colorizer-functionality <?php echo esc_attr($SuroundHelper->getSanitizedHtmlClasses($breadcrumb_classes)); ?>"

	<?php if ( $meta_image ): ?>
		data-bg-image-src="<?php echo esc_url( $meta_image ); ?>"
	<?php endif; ?>

	 data-bg-color="<?php echo esc_attr($breadcrumb['background-color']); ?>">

	<div class="breadcrumbs-holder">

		<?php if ( isset( $breadcrumb['page-title-state'] ) && $breadcrumb['page-title-state'] == 'on' ) : ?>
			<?php if ( is_archive() ) : ?>
				<h1 class="page-title"><?php suround_the_archive_title(); ?></h1>
			<?php else : ?>
				<h1 class="page-title"><?php the_title(); ?></h1>
			<?php endif; ?>
		<?php endif; ?>

		<?php if ( isset( $breadcrumb['breadcrumb-path-state'] ) && $breadcrumb['breadcrumb-path-state'] == 'on' ) : ?>
			<?php suround_breadcrumbs(); ?>
		<?php endif; ?>

		<?php if ( $cat_desc ): ?>
			<div class="archive-cat__desc"><?php echo wp_kses_post( $cat_desc ) ?></div>
		<?php endif; ?>

	</div>

</div><!--/ .breadcrumbs-wrap-->

<!--================ End of Breadcrumb ================-->
