<?php
/**
* The template file that describes "breadcrumb" section markup.
*
* @package WordPress
*/
// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'surround') );
}

global $Suround, $SuroundLayout;

$SuroundHelper = $Suround->helper();
$breadcrumb = $SuroundLayout->getBreadcrumb();

// stop execution of the code below in case the breadcrumb section was disabled
if( !$breadcrumb ) return;

$breadcrumb_classes = array($breadcrumb['content-alignment']);
$breadcrumb_bg_is_set = isset($breadcrumb['background-image']) && !empty($breadcrumb['background-image']) && $breadcrumb['background-image'] != 'none';

if ( isset($breadcrumb['parallax']) && $breadcrumb['parallax'] == 'on' && $breadcrumb_bg_is_set ) {
    array_push($breadcrumb_classes, 'colorizer--parallax');
}

if ( $breadcrumb_bg_is_set ) {
	$breadcrumb_classes[] = 'has-bg-is-set';
}

if ( is_singular('product') && !function_exists('bcn_display') ) {
	return;
}
?>

<!--================ Breadcrumb ================-->

<div class="breadcrumbs-wrap colorizer-functionality <?php echo esc_attr($SuroundHelper->getSanitizedHtmlClasses($breadcrumb_classes)); ?>"

		<?php if ( $breadcrumb_bg_is_set ) : ?>
			data-bg-image-src="<?php echo esc_url(wp_get_attachment_image_url($breadcrumb['background-image'], 'full')); ?>"
			data-bg-image-opacity="<?php echo esc_attr($breadcrumb['background-image-opacity']); ?>"
		<?php endif; ?>
		 	data-bg-color="<?php echo esc_attr($breadcrumb['background-color']); ?>">

	<div class="breadcrumbs-holder">

		<div class="container">

			<?php if ( isset($breadcrumb['page-title-state']) && $breadcrumb['page-title-state'] == 'on' ) : ?>
				<?php if( is_archive() ) : ?>
					<h1 class="page-title"><?php suround_the_archive_title(); ?></h1>
				<?php elseif ( is_search() ): ?>
					<h1 class="page-title"><?php echo esc_html__('Search Results For:', 'surround' ) . " " . get_search_query(); ?></h1>
				<?php elseif ( is_singular('product') ) : ?>
				<?php else : ?>
					<h1 class="page-title"><?php the_title(); ?></h1>
				<?php endif; ?>
			<?php endif; ?>

			<?php if(isset($breadcrumb['breadcrumb-path-state']) && $breadcrumb['breadcrumb-path-state'] == 'on') : ?>
				<?php suround_breadcrumbs(); ?>
			<?php endif; ?>

		</div><!--/ .container-->

	</div>

</div><!--/ .breadcrumbs-wrap-->

<!--================ End of Breadcrumb ================-->
