<?php
$section_left_data = $section_center_data = $section_right_data = array();

$section_left_data['posts_per_page'] = suround_get_meta_option( 'suround_full_left_items_per_page', get_option( 'posts_per_page' ) );
$section_left_data['order_by']       = suround_get_meta_option( 'suround_full_left_data_order_by', 'date' );
$section_left_data['order']          = suround_get_meta_option( 'suround_full_left_data_sort_order', 'DESC' );
$section_left_data['categories']     = suround_get_meta_option( 'suround_full_left_data_categories', array() );
$section_left_data['tags']           = suround_get_meta_option( 'suround_full_left_data_tags', array() );
$section_left_data['posts_in']       = suround_get_meta_option( 'suround_full_left_data_in', array() );
$section_left_data['posts_out']      = suround_get_meta_option( 'suround_full_left_data_out', array() );

$section_center_data['posts_per_page'] = suround_get_meta_option( 'suround_full_center_items_per_page', get_option( 'posts_per_page' ) );
$section_center_data['order_by']       = suround_get_meta_option( 'suround_full_center_data_order_by', 'date' );
$section_center_data['order']          = suround_get_meta_option( 'suround_full_center_data_sort_order', 'DESC' );
$section_center_data['categories']     = suround_get_meta_option( 'suround_center_left_data_categories', array() );
$section_center_data['tags']           = suround_get_meta_option( 'suround_full_center_data_tags', array() );
$section_center_data['posts_in']       = suround_get_meta_option( 'suround_full_center_data_in', array() );
$section_center_data['posts_out']      = suround_get_meta_option( 'suround_full_center_data_out', array() );

$section_right_data['posts_per_page'] = suround_get_meta_option( 'suround_full_right_items_per_page', get_option( 'posts_per_page' ) );
$section_right_data['order_by']       = suround_get_meta_option( 'suround_full_right_data_order_by', 'date' );
$section_right_data['order']          = suround_get_meta_option( 'suround_full_right_data_sort_order', 'DESC' );
$section_right_data['categories']     = suround_get_meta_option( 'suround_full_right_data_categories', array() );
$section_right_data['tags']           = suround_get_meta_option( 'suround_full_right_data_tags', array() );
$section_right_data['posts_in']       = suround_get_meta_option( 'suround_full_right_data_in', array() );
$section_right_data['posts_out']      = suround_get_meta_option( 'suround_full_right_data_out', array() );

$section_left_query   = suround_get_cover_area_query( $section_left_data );
$section_center_query = suround_get_cover_area_query( $section_center_data );
$section_right_query  = suround_get_cover_area_query( $section_right_data );

$section_right_title = suround_get_meta_option( 'suround_full_right_title', '' );

?>

<main class="full-width-page">

	<div class="full-width-page-container">

		<?php if ( $section_left_query->have_posts() ): ?>

			<div class="layout-carousel layout-carousel-m1">

				<div class="owl-carousel owl-dots__bottom--light" data-max-items="1" data-autoplay="true" data-dots="true">

					<?php while ( $section_left_query->have_posts() ): $section_left_query->the_post(); ?>
						<?php get_template_part( 'template-parts/post/carousels/layout', 'm1' ); ?>
					<?php endwhile; ?>

				</div>

			</div><!--/ .layout-carousel-->

		<?php endif; ?>

		<?php if ( $section_center_query->have_posts() ): ?>

			<section class="grid">

				<div class="entry-holder entry-layout-e3">

					<div class="entry-box">

						<?php while ( $section_center_query->have_posts() ): $section_center_query->the_post(); ?>
							<?php get_template_part( 'template-parts/post/layout', 'e3' ); ?>
						<?php endwhile; ?>

					</div><!--/ .entry-box-->

				</div>

			</section><!--/ .grid-->

		<?php endif; ?>

	</div><!--/ .home-container-->

	<?php if ( $section_right_query->have_posts() ): ?>

		<aside class="sidebar sbr">

			<div class="widget">

				<?php if ( ! empty( $section_right_title ) ): ?>
					<h6 class="widget-title align-center"><?php echo wp_kses_post( $section_right_title ) ?></h6>
				<?php endif; ?>

				<div class="entry-holder entry-layout-a6">

					<div class="entry-box">

						<?php while ( $section_right_query->have_posts() ): $section_right_query->the_post(); ?>
							<?php get_template_part( 'template-parts/post/layout', 'a6' ); ?>
						<?php endwhile; ?>

					</div><!--/ .entry-box-->

				</div>

			</div>

		</aside><!--/ .sidebar-->

	<?php endif; ?>

</main><!--/ .home-page-->
