<?php
$attributes = array();
$bg_image = suround_get_meta_option( 'suround_cover_search_bg_image', null );
$title = suround_get_meta_option( 'suround_cover_search_title', '' );
$data_bg = '';

if ( is_array($bg_image) && count($bg_image) ) {

	$background_image = array_shift($bg_image);

	if ( isset($background_image['full_url']) && !empty($background_image['full_url']) ) {
		$data_bg = $background_image['full_url'];
	}
}

if ( !empty($data_bg) ) {
	$bg_image = 'background-image: url('. $data_bg .')';
	$attributes[] = 'style="'. $bg_image. '"';
}
?>

<div class="media-holder" <?php echo implode(' ', $attributes) ?>>

	<div class="media-inner">

		<?php if ( !empty($title) ): ?>
			<h1 class="media-title"><?php echo wp_kses_post($title) ?></h1>
		<?php endif; ?>

		<form class="search-line" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
			<input type="text" name="s" value="<?php echo get_search_query(); ?>" placeholder="<?php esc_attr_e( 'Explore your world', 'surround' ) ?>">
			<button class="search-line-button"><i class="licon-magnifier"></i></button>
		</form>

	</div><!--/ .media-inner-->

</div><!--/ .media-holder-->