<?php

global $suround_settings;
$result = suround_footer_get_widget_settings( suround_post_id() );
extract( $result );

$content_in_footer = get_post_meta(suround_post_id(), 'suround_content_in_footer_layout_4', true);
$number_of_columns = key( json_decode( html_entity_decode ( $footer_row_columns_variations ), true ) );

if ( suround_is_shop_installed() ) {
	if ( suround_is_product()
	     || suround_is_product_category()
	     || suround_is_product_tag()
	     || is_tax(get_object_taxonomies('product'))
	     || is_post_type_archive('product')
	) {
		$footer_section = suround_get_option('footer-section');
		$number_of_columns = $footer_section['get-current-columns'];
		$get_sidebars_widgets = $footer_section['get-sidebars-widgets'];
		$footer_row_columns_variations = $footer_section['footer-row-columns-variations'];
	}
}

if ( !empty($content_in_footer) ): ?>

	<div class="top-footer">
		<div class="container wide">
			<?php echo do_shortcode( $content_in_footer ); ?>
		</div>
	</div>

<?php endif; ?>

<?php if ( $footer_row_show && !empty($get_sidebars_widgets)): ?>

	<div class="main-footer">

		<div class="container wide">

			<div class="row">

				<?php if ( !empty($footer_row_columns_variations) ):
					$columns_array = json_decode( html_entity_decode ( $footer_row_columns_variations ), true );
					?>

					<?php for ( $i = 1; $i <= $number_of_columns; $i++ ): ?>

						<?php if ( is_active_sidebar( $get_sidebars_widgets[$i-1] ) ): ?>

							<div class="col-sm-<?php echo esc_attr($columns_array[$number_of_columns][0][$i-1]); ?>">

								<?php dynamic_sidebar( $get_sidebars_widgets[$i-1] ); ?>

								<?php if ( $i === 1 ): ?>
									<?php if ( $suround_settings['show-footer-copyright'] ): ?>
										<p class="copyright">
											<?php echo wp_kses_post( $suround_settings['footer_copyright'] ); ?>
										</p>
									<?php endif; ?>
								<?php endif; ?>

							</div>

						<?php endif; ?>

					<?php endfor; ?>

				<?php endif; ?>

			</div><!--/ .row-->

		</div><!--/ .container-->

	</div><!--/ .main-footer-->

<?php endif; ?>