<?php
/**
 * Template part for layout k1 displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 */

?>

<div <?php post_class( 'entry' ); ?>>

	<?php if ( '' !== get_the_post_thumbnail() ) : ?>
		<div class="thumbnail-attachment">
			<a href="<?php the_permalink(); ?>" class="entry-overlink"></a>
			<?php echo suround_get_meta_actions() ?>
			<?php the_post_thumbnail( 'suround-680x560-center-center' ); ?>
		</div>
	<?php endif; ?>

	<div class="entry-body">

		<?php if ( suround_get_option('lay_k2_cat') ) : ?>
			<?php echo suround_get_category_list() ?>
		<?php endif; ?>

		<h3 class="entry-title">
			<a href="<?php the_permalink() ?>"><?php the_title() ?></a>
		</h3>

		<?php if ( has_excerpt() ): ?>
			<?php echo suround_get_excerpt( get_the_excerpt(), suround_get_option('lay_k2_excerpt_limit')) ; ?>
		<?php endif; ?>

		<?php if ( $meta = suround_blog_post_meta( 'k2' ) ) : ?>
			<div class="entry-meta"><?php echo wp_kses_post($meta); ?></div>
		<?php endif; ?>

	</div><!--/ .entry-body-->

</div><!--/ .entry-->