<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 */

?>

<div class="entry-col">

	<div <?php post_class( 'entry' ); ?>>

		<?php if ( '' !== get_the_post_thumbnail() ) : ?>
			<div class="thumbnail-attachment">
				<a href="<?php the_permalink(); ?>" class="entry-overlink"></a>
				<?php echo suround_get_meta_actions() ?>
				<?php the_post_thumbnail( 'suround-910x530-center-center' ); ?>
			</div>
		<?php endif; ?>

		<div class="entry-body">

			<?php if ( suround_get_option('lay_a1_cat') ) : ?>
				<?php echo suround_get_category_list() ?>
			<?php endif; ?>

			<h2 class="entry-title">
				<?php if ( is_sticky() ): ?>
					<span class="sticky-label"><?php esc_html_e('Featured', 'surround') ?></span>
				<?php endif; ?>
				<a href="<?php the_permalink() ?>"><?php the_title() ?></a>
			</h2>

			<div class="entry-content">

				<?php
				if ( has_excerpt() ) {
					echo suround_get_excerpt( get_the_excerpt(), suround_get_option( 'lay_a1_excerpt_limit' ) );
				} else {
					echo apply_filters( 'the_content', get_the_content() );
				}

				wp_link_pages( array(
					'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'surround'),
					'after'       => '</div>',
					'link_before' => '<span class="page-number">',
					'link_after'  => '</span>',
				) );
				?>

				<footer class="entry-footer">

					<?php if ( suround_get_option('post-tag') ): ?>
						<?php
						$tags_list = get_the_tag_list( '', '', '' );
						if ( $tags_list ) {
							echo '<div class="tag-wrap">';
							echo '<span class="tag-title">' . esc_html__( 'Tags', 'surround' ) . ':</span>';
							echo '<div class="tagcloud">' . $tags_list . '</div>';
							echo '</div>';
						}
						?>
					<?php endif; ?>

				</footer>

			</div>

			<?php if ( $meta = suround_blog_post_meta( 'a1' ) ) : ?>
				<div class="entry-meta"><?php echo wp_kses_post($meta); ?></div>
			<?php endif; ?>

		</div><!--/ .entry-body-->

	</div><!--/ .entry-->

</div><!--/ .entry-col-->