<?php
/**
 * Template part for layout d3 displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 */

global $suround_settings;
?>

<div class="entry-col">

	<div <?php post_class('entry'); ?>>

		<?php if ( '' !== get_the_post_thumbnail() ) : ?>
			<div class="thumbnail-attachment">
				<a href="<?php the_permalink(); ?>" class="entry-overlink"></a>
				<?php echo suround_get_meta_actions() ?>
				<?php the_post_thumbnail('thumbnail'); ?>
			</div>
		<?php endif; ?>

		<div class="entry-body">

			<?php if ( suround_get_option('lay_d3_cat') ) : ?>
				<?php echo suround_get_category_list() ?>
			<?php endif; ?>

			<h6 class="entry-title">
				<a href="<?php echo esc_url( get_the_permalink() ) ?>">
					<?php echo suround_get_title_excerpt( get_the_title(), suround_get_option('lay_d3_excerpt_limit_title')) ; ?>
				</a>
			</h6>

			<?php if ( $meta = suround_blog_post_meta( 'd3' ) ) : ?>
				<div class="entry-meta"><?php echo wp_kses_post($meta); ?></div>
			<?php endif; ?>

		</div>

	</div>

</div>