<?php
/**
 * Template part for layout e1 displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 */

global $post;
?>

<div class="entry-col">

	<div <?php post_class( 'entry' ); ?>>

		<?php if ( '' !== get_the_post_thumbnail() ) : ?>
			<div class="thumbnail-attachment">
				<a href="<?php the_permalink(); ?>" class="entry-overlink"></a>
				<?php echo suround_get_meta_actions() ?>
				<?php the_post_thumbnail( 'suround-680x560-center-center' ); ?>
			</div>
		<?php endif; ?>

		<div class="entry-body">

			<?php if ( suround_get_option('lay_e1_cat') ) : ?>
				<?php echo suround_get_category_list() ?>
			<?php endif; ?>

			<h3 class="entry-title">
				<a href="<?php echo esc_url( get_the_permalink() ) ?>">
					<?php echo get_the_title() ?>
				</a>
			</h3>

			<?php if ( $meta = suround_blog_post_meta( 'e1' ) ) : ?>
				<div class="entry-meta"><?php echo wp_kses_post($meta); ?></div>
			<?php endif; ?>

			<?php if ( has_excerpt() ): ?>
				<?php echo suround_get_excerpt( get_the_excerpt(), suround_get_option('lay_e1_excerpt_limit')) ; ?>
			<?php endif; ?>

		</div><!--/ .entry-body-->

	</div><!--/ .entry-->

</div><!--/ .entry-col-->

