<?php
/**
 * Template part for layout e4 posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 */

global $post;
?>

<div class="entry-col">

	<div <?php post_class('entry'); ?>>

		<?php if ( '' !== get_the_post_thumbnail() ) : ?>
			<div class="thumbnail-attachment">
				<a href="<?php the_permalink(); ?>" class="entry-overlink"></a>
				<?php echo suround_get_meta_actions() ?>
				<?php the_post_thumbnail('thumbnail'); ?>
			</div>
		<?php endif; ?>

		<div class="entry-body">

			<?php if ( suround_get_option('lay_e4_cat') ) : ?>
				<?php echo suround_get_category_list() ?>
			<?php endif; ?>

			<h5 class="entry-title">
				<a href="<?php echo esc_url( get_the_permalink() ) ?>">
					<?php echo get_the_title() ?>
				</a>
			</h5>

			<?php if ( $meta = suround_blog_post_meta( 'e4' ) ) : ?>
				<div class="entry-meta"><?php echo wp_kses_post($meta); ?></div>
			<?php endif; ?>

		</div><!--/ .entry-body-->

	</div><!--/ .entry-->

</div>
