<?php
/**
 * Template part for layout map displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 */

global $suround_settings;

?>

<div class="entry-col"
	 data-post-id="<?php echo get_the_ID() ?>"
	 data-longitude="<?php echo esc_attr( get_post_meta( $post->ID, 'geolocation_long', true ) ); ?>"
	 data-attachment-url="<?php echo esc_url( get_the_permalink() ); ?>"
	 data-latitude="<?php echo esc_attr( get_post_meta( $post->ID, 'geolocation_lat', true ) ); ?>"
	 data-img="<?php echo suround_get_post_featured_image( $post->ID, 'suround-315x210-center-center'); ?>"
	 data-features='<?php echo suround_get_data_properties($post->ID) ?>'
>

	<div <?php post_class('entry'); ?>>

		<?php if ( '' !== get_the_post_thumbnail() ) : ?>
			<div class="thumbnail-attachment">
				<a href="<?php the_permalink(); ?>" class="entry-overlink"></a>
				<?php echo suround_get_meta_actions() ?>
				<?php the_post_thumbnail('suround-315x210-center-center'); ?>
			</div>
		<?php endif; ?>

		<div class="entry-body">

			<?php echo suround_get_category_list() ?>

			<h5 class="entry-title">
				<a href="<?php echo esc_url( get_the_permalink() ) ?>">
					<?php echo get_the_title() ?>
				</a>
			</h5>

			<?php if ( $meta = suround_blog_post_meta( false, array( 'date', 'views', 'vote' ) ) ) : ?>
				<div class="entry-meta"><?php echo wp_kses_post($meta); ?></div>
			<?php endif; ?>

		</div><!--/ .entry-body-->

	</div><!--/ .entry-->

</div><!--/ .entry-col-->
