<?php
/**
 * Template part for layout series displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 */

global $suround_settings;
?>

<div class="entry-col">

	<div class="entry">

		<?php if ( $img = suround_get_taxonomy_featured_image('suround-450x280-center-center', $cat->term_id, 'series') ) : ?>
			<div class="thumbnail-attachment">
				<div class="entry-video-link">
					<a href="<?php echo esc_url( get_term_link( $cat->term_id ) ); ?>" class="entry-overlink"></a>
				</div>
				<?php echo wp_kses_post($img); ?>
			</div>
		<?php endif; ?>

		<div class="entry-body">

			<h5 class="entry-title">
				<a href="<?php echo esc_url( get_term_link( $cat->term_id ) ); ?>">
					<?php echo esc_html($cat->name); ?>
				</a>
			</h5>

			<?php if ( isset($cat->count) && !empty($cat->count) ): ?>

				<?php $post_count = $cat->count ?>

				<div class="entry-meta-count">
					<i class="licon-film-play"></i>
					<?php echo sprintf( _n( '%s video', '%s videos', $post_count, 'surround' ), number_format_i18n( $post_count ) ); ?>
				</div>

			<?php endif; ?>

		</div><!--/ .entry-body-->

	</div><!--/ .entry-->

</div><!--/ .entry-col-->
