<?php
$next_post = get_next_post();
$prev_post = get_previous_post();
$next_post_url = $prev_post_url = "";
$next_post_title = $prev_post_title = "";

if ( is_object($next_post) ) {
	$next_post_url = get_permalink($next_post->ID);
	$next_post_title = $next_post->post_title;
}
if ( is_object($prev_post) ) {
	$prev_post_url = get_permalink($prev_post->ID);
	$prev_post_title = $prev_post->post_title;
}
?>

<?php if ( !empty($prev_post_url) || !empty($next_post_url) ): ?>

	<ul class="entries-nav">

		<?php if ( !empty($prev_post_url) ): ?>

			<li>

				<?php if ( has_post_thumbnail( $prev_post->ID ) ): ?>
					<a class="prev-page" href="<?php echo esc_url( $prev_post_url ) ?>">
						<?php echo get_the_post_thumbnail( $prev_post->ID, 'thumbnail' ); ?>
					</a>
				<?php endif; ?>

				<div class="nav-body prev-entry">
					<span class="nav-caption"><?php echo esc_html__( 'Previous Post', 'surround' ) ?></span>

					<h5 class="nav-title">
						<a href="<?php echo esc_url( $prev_post_url ) ?>"><?php echo esc_html( $prev_post_title ); ?></a>
					</h5>
				</div>

			</li>

		<?php endif; ?>

		<?php if ( !empty($next_post_url) ): ?>

			<li>

				<div class="nav-body next-entry">
					<span class="nav-caption"><?php echo esc_html__( 'Next Post', 'surround' ) ?></span>

					<h5 class="nav-title">
						<a href="<?php echo esc_url( $next_post_url ) ?>"><?php echo esc_html( $next_post_title ); ?></a>
					</h5>
				</div>

				<?php if ( has_post_thumbnail( $next_post->ID ) ): ?>
					<a class="next-page" href="<?php echo esc_url( $next_post_url ) ?>">
						<?php echo get_the_post_thumbnail( $next_post->ID, 'thumbnail' ); ?>
					</a>
				<?php endif; ?>

			</li>

		<?php endif; ?>

	</ul>

<?php endif; ?>
