<?php

global $SuroundLayout, $suround_config, $suround_settings;
$this_id = get_the_ID();
$tag_ids = array();
$tags = wp_get_post_terms( $this_id, 'post_tag' );

$template = $SuroundLayout->getOption('current_single_related_template');

if ( $template != 'none' ) {

	if ( !empty($tags) && is_array($tags) ) {

		$query = array(
			'post_type' => 'post',
			'posts_per_page' => $suround_settings['post-related-posts-count'],
			'ignore_sticky_posts'=> 1,
			'post__not_in' => array($this_id)
		);

		foreach ($tags as $tag) {
			$tag_ids[] = (int) $tag->term_id;
		}

		if ( !empty($tag_ids) ) {

			$query['tag__in'] = $tag_ids;
			$entries = new WP_Query( $query ); ?>

			<?php if ( !empty( $entries->have_posts() ) ): ?>

				<div class="entry-related-posts">

					<h3 class="related-title"><?php esc_html_e('Related Posts', 'surround' ); ?></h3>

					<?php if ( $template == 'a3' ): ?>

						<div class="entry-holder entry-layout-a3">

							<div class="entry-box">
								<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
									<?php get_template_part( 'template-parts/post/layout', 'a3' ); ?>
								<?php endwhile; wp_reset_postdata(); ?>
							</div>

						</div>

					<?php elseif ( $template == 'd3' ): ?>

						<div class="entry-holder entry-layout-d3">

							<div class="entry-box">
								<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
									<?php get_template_part( 'template-parts/post/layout', 'd3' ); ?>
								<?php endwhile; wp_reset_postdata(); ?>
							</div>

						</div>

					<?php elseif ( $template == 'd4' ): ?>

						<div class="entry-holder entry-layout-d4">

							<div class="entry-box">
								<?php while ( $entries->have_posts() ) : $entries->the_post(); ?>
									<?php get_template_part( 'template-parts/post/layout', 'd4' ); ?>
								<?php endwhile; wp_reset_postdata(); ?>
							</div>

						</div>

					<?php endif; ?>

				</div><!--/ .entry-related-posts-->

			<?php endif; wp_reset_postdata();

		}
	}

}