<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}
/**
 * Shortcode attributes
 * @var $atts
 * @var $content - shortcode content
 * Shortcode class
 */

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
$this->buildTemplate( $atts, $content );
$containerClass = trim( 'call-out ' . esc_attr( implode( ' ', $this->getTemplateVariable( 'container-class' ) ) ) );
$columnLeftClasses = esc_attr( implode( ' ', $this->getTemplateVariable( 'column-left-class' ) ) );
$columnRightClasses = esc_attr( implode( ' ', $this->getTemplateVariable( 'column-right-class' ) ) );
?>
<div class="<?php echo esc_attr( $containerClass ); ?>">

	<?php if ( $atts['style'] == 'style-1' ): ?>

		<div class="container">

			<div class="row align-items-center">

				<div class="col-lg-6 offset-lg-1">
					<?php echo ' ' . $this->getTemplateVariable( 'heading' ); ?>
					<?php echo ' ' . $this->getTemplateVariable( 'subheading' ); ?>
				</div>

				<div class="col-lg-5">

					<div class="align-center">
						<?php echo ' ' . $this->getTemplateVariable( 'actions-button' ); ?>
					</div>

				</div>

			</div>

		</div>

	<?php elseif ( $atts['style'] == 'half-bg-col' ): ?>

		<div class="container">

			<div class="row align-items-center">

				<?php if ( $atts['image'] ): ?>

					<div class="col-lg-5 offset-lg-1">
						<div class="align-center">
							<?php echo wp_get_attachment_image($atts['image'], 'full'); ?>
						</div>
					</div>

				<?php endif; ?>

				<div class="col-lg-6">
					<?php echo ' ' . $this->getTemplateVariable( 'heading' ); ?>
					<?php echo ' ' . $this->getTemplateVariable( 'subheading' ); ?>
					<?php echo ' ' . $this->getTemplateVariable( 'content' ); ?>
					<?php echo ' ' . $this->getTemplateVariable( 'actions-button' ); ?>
				</div>

			</div>

		</div>

	<?php endif; ?>

</div><!--/ .call-out-->
